// Copyright 1999-2017. Parallels IP Holdings GmbH. All Rights Reserved.
import { createElement, Component } from "@plesk/ui-library";

class DirectoryBrowserValue extends Component {
    componentDidMount() {
        new Jsw.FileManager.Tree({
            renderTo: this.refs.placeholder,
            cls: 'tree',
            data: this.props.data || null,
            dataUrl: this.props.dataUrl,
            rootNodeTitle: this.props.rootNodeTitle,
            onNodeClick: this.props.onNodeClick
        });
    }

    render() {
        return (
            <div className="scrollable fm-scrollable">
                <div className="scrollable-wrap" ref="placeholder"></div>
            </div>
        );
    }
}


export default DirectoryBrowserValue;
