<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Hallitse tämän verkkosivuston Node.js -asetuksia.',
      'enabled' => 'Node.js -versio: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'tila: %%mode%%',
      'restartButton' => 'Käynnistä sovellus uudelleen',
      'version' => 'Node.js -versio: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Node.js -versio "%%version%%" poistettiin käytöstä.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js poistettiin käytöstä toimialueella &quot;%%domain%%&quot;.',
      ],
      'enable' => [
        'success' => 'Node.js -versio "%%version%%" otettiin käyttöön.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js otettiin käyttöön toimialueella &quot;%%domain%%&quot;.',
      ],
      'setVersion' => [
        'success' => 'Node.js-versio toimialueella &quot;%%domain%%&quot; muutettiin versioon &quot;%%version%%&quot;.',
      ],
      'versions' => [
        'empty' => 'Node.js -versioita ei löytynyt.',
        'enabled' => 'Käytössä',
        'path' => 'Polku',
        'version' => 'Versio',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Komentoa "%%command%%" ei löytynyt.',
      'disabledOnDomain' => 'Node.js -tuki poistettiin käytöstä toimialueella.',
      'domainDoesNotHaveHosting' => 'Toimialueessa "%%domain%%" ei ole fyysistä isännöintiä.',
      'handlerNotFound' => 'Node.js-versiota "%%version%%" ei löytynyt.',
      'noHandlerOnDomain' => 'Vähintään yksi Node.js -versio tulee ottaa käyttöön toimialueella.',
      'permissionDenied' => 'Käyttö estetty',
      'versionIsEmpty' => 'Versio on tyhjä.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Poista Node.js-versio käytöstä tai poista Node.js -tuki käytöstä toimialueella.',
      'enable' => 'Ota Node.js-versio käyttöön tai ota Node.js -tukipalvelu käyttöön toimialueella.',
      'get-version' => 'Näytä Node.js-versio toimialueella.',
      'set-version' => 'Aseta Node.js-versio toimialueelle.',
      'versions' => 'Näytä Node.js-versioiden luettelo.',
    ],
    'options' => [
      'domain' => 'Toimialueen nimi (käytettävä komentojen &quot;enable&quot;, &quot;disable&quot; ja &quot;get-version&quot; kanssa).',
      'version' => 'Node.js-versio (käytettävä komentojen &quot;enable&quot;, &quot;disable&quot; ja &quot;set-version&quot; kanssa).',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Peruuta',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Lisää muuttuja',
        'removeButton' => 'Poista',
        'variableName' => 'Muuttuja',
        'variables' => 'Mukautettavat ympäristömuuttujat',
        'variableValue' => 'Arvo',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Toimialueet',
        'path' => 'Polku',
        'refreshButton' => 'Päivitä',
        'refreshButtonDescription' => 'Päivitä Node.js-käsittelijöiden luettelo.',
        'version' => 'Versio',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Komentosarjan nimi ja parametrit',
      'optionsDescription' => 'Esimerkit: %%examples%%',
      'output' => 'Tuotos',
      'pleaseWait' => 'Odota hetki',
      'run' => 'Suorita',
      'title' => 'Suorita komentosarja',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Sovelluksen riippuvuuksien asentaminen.',
        'title' => 'NPM asenna',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Sovellustila &quot;%%value%%&quot; on virheellinen.',
        'success' => 'Sovelluksen tila päivitettiin onnistuneesti.',
      ],
      'change-application-path' => [
        'failed' => 'Polku %%path%% on virheellinen.',
        'success' => 'Sovelluksen polku päivitettiin onnistuneesti.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Tiedostonimi %%file%% on virheellinen.',
        'success' => 'Sovelluksen käynnistystiedosto päivitettiin onnistuneesti.',
      ],
      'change-document-root' => [
        'failed' => 'Asiakirjan polkua ei voida muuttaa: %%cause%%',
        'success' => 'Asiakirjan polku päivitettiin.',
      ],
      'change-version' => [
        'success' => 'Node.js -versio päivitettiin onnistuneesti.',
      ],
      'disable' => [
        'success' => 'Node.js poistettiin käytöstä toimialueella %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js otettiin käyttöön toimialueella %%domain%%.',
      ],
      'environment' => [
        'failed' => 'Henkilökohtaisen ympäristön muuttujan \'%%var%%\' json-esitys saa olla korkeintaan 255 merkkiä pitkä.',
        'success' => 'Mukautettavia ympäristömuuttujia päivitettiin.',
        'title' => 'Muokkaa mukautettavia ympäristömuuttujia',
      ],
      'index' => [
        'applicationMode' => 'Sovellustila',
        'applicationModePopupDescription' => 'Valitse Node.js-sovelluksen tila:',
        'applicationModePopupTitle' => 'Sovellustila',
        'applicationPath' => 'Sovelluksen Päähakemisto',
        'applicationPathOpen' => 'avaa',
        'applicationPathPopupDescription' => 'Valitse Node.js-sovelluksen juuri:',
        'applicationPathPopupTitle' => 'Sovelluksen Päähakemisto',
        'applicationStartupFile' => 'Sovelluksen käynnistystiedosto',
        'applicationStartupFileEdit' => 'muokkaa',
        'applicationStartupFileNotExist' => 'Tiedostoa ei ole olemassa',
        'applicationStartupFilePopupDescription' => 'Vaihda Node.js-sovelluksen käynnistystiedostoa:',
        'applicationStartupFilePopupTitle' => 'Sovelluksen käynnistystiedosto',
        'applicationUrl' => 'Sovelluksen URL',
        'configurationFilesDescription' => 'Muokkaa napsauttamalla tiedoston nimeä:',
        'configurationFilesTitle' => 'Määritystiedostojen käyttöoikeus',
        'disableButton' => 'Poista Node.js käytöstä',
        'disableButtonDescription' => 'Poista Node.js käytöstä tällä toimialueella.',
        'documentRoot' => 'Kotikansio',
        'documentRootNotInApplicationRootWarning' => 'Sovellus ei toimi, koska tiedoston päätaso ei ole sovelluksen päähakemiston alitaso',
        'documentRootPopupDescription' => 'Valitse verkkosivuston päähakemisto:',
        'documentRootPopupTitle' => 'Kotikansio',
        'enableButton' => 'Ota Node.js käyttöön',
        'enableButtonDescription' => 'Ota Node.js käyttöön tällä toimialueella.',
        'environment' => 'Mukautettavat ympäristömuuttujat',
        'environmentEdit' => 'määritä',
        'noStartupFileHint' => 'Node.js on käytössä tällä toimialueella. Käynnistystiedostoa %%file%% ei kuitenkaan löydy.',
        'npmInstallButton' => 'NPM asenna',
        'npmInstallButtonDescription' => 'Asenna tiedostossa \'package.json\' annettu(annetut) tiedosto(t).',
        'pleaseWait' => 'Odota…',
        'restartButton' => 'Käynnistä sovellus uudelleen',
        'restartButtonDescription' => 'Käynnistä Node.js -sovellus uudelleen.',
        'rootDirectoryTitle' => 'Pääkansio',
        'runScriptButton' => 'Suorita komentosarja',
        'runScriptButtonDescription' => 'Suorita \'package.json\' -tiedoston \'Scripts\' -osiossa määritetty komento.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js kohteessa %%name%%',
        'version' => 'Node.js -versio',
        'versionPopupDescription' => 'Valitse tämän sovelluksen Node.js -versio:',
        'versionPopupTitle' => 'Tämän sovelluksen Node.js -versio',
      ],
      'npm-install' => [
        'success' => 'Solmumoduulit asennettiin onnistuneesti.',
      ],
      'restart' => [
        'success' => 'Tiedostoa restart.txt on muutettu. Sovellus käynnistetään uudelleen ensimmäisen pyynnön jälkeen.',
      ],
      'run-script' => [
        'title' => 'Suorita NPM-komentosarja',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Node.js -hallintaohjelma',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Node.js -tilan hallinta',
    'stateManagementDescription' => 'Salli asiakkaiden muuttaa Node.js -tilaa',
    'supportManagement' => 'Node.js -tuen hallinta',
    'supportManagementDescription' => 'Salli asiakkaiden käyttää Node.js -sovellusta',
    'versionManagement' => 'Node.js -version hallinta',
    'versionManagementDescription' => 'Salli asiakkaiden muuttaa Node.js -versiota',
  ],
];