<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'จัดการ Node.js สำหรับเว็บไซต์นี้',
      'enabled' => 'เวอร์ชั่น Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'โหมด: %%mode%%',
      'restartButton' => 'รีสตาร์ทแอพ',
      'version' => 'เวอร์ชั่น Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'ปิดใช้งานเวอร์ชั่น Node.js "%%version%%" แล้ว',
      ],
      'disableOnDomain' => [
        'success' => 'ปิดใช้งาน Node.js บนโดเมน "%%domain%%" แล้ว',
      ],
      'enable' => [
        'success' => 'เปิดใช้งานเวอร์ชั่น Node.js "%%version%%" แล้ว',
      ],
      'enableOnDomain' => [
        'success' => 'เปิดใช้งาน Node.js บนโดเมน "%%domain%%" แล้ว',
      ],
      'setVersion' => [
        'success' => 'เวอร์ชั่น Node.js บนโดเมน "%%domain%%" เปลี่ยนเป็น "%%version%%" แล้ว',
      ],
      'versions' => [
        'empty' => 'ไม่พบเวอร์ชั่นของ Node.js',
        'enabled' => 'เปิดใช้งานแล้ว',
        'path' => 'พาธ',
        'version' => 'เวอร์ชั่น',
      ],
    ],
    'common' => [
      'commandNotFound' => 'ไม่พบคำสั่ง "%%command%%"',
      'disabledOnDomain' => 'ปิดใช้งานการสนับสนุน Node.js บนโดเมน',
      'domainDoesNotHaveHosting' => 'โดเมน "%%domain%%" ไม่มีการโฮสติ้งทางกายภาพ',
      'handlerNotFound' => 'ไม่พบเวอร์ชั่น Node.js "%%version%%"',
      'noHandlerOnDomain' => 'ต้องเปิดใช้งาน Node.js อย่างน้อยหนึ่งเวอร์ชั่นสำหรับโดเมน',
      'permissionDenied' => 'ปฏิเสธการอนุญาต',
      'versionIsEmpty' => 'เวอร์ชั่นว่างเปล่า',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'ปิดการทำงานเวอร์ชั่น Node.js หรือปิดการทำงานการสนับสนุน Node.js บนโดเมน',
      'enable' => 'เปิดการทำงานเวอร์ชั่น Node.js หรือเปิดการทำงานการสนับสนุน Node.js บนโดเมน',
      'get-version' => 'แสดงเวอร์ชั่น Node.js บนโดเมน',
      'set-version' => 'กำหนดเวอร์ชั่น Node.js บนโดเมน',
      'versions' => 'แสดงรายการเวอร์ชั่น Node.js',
    ],
    'options' => [
      'domain' => 'ชื่อโดเมน (ใช้ร่วมกับคำสั่ง "enable", "disable", และ "get-version")',
      'version' => 'เวอร์ชั่น Node.js (ใช้ร่วมกับคำสั่ง "enable", "disable", และ "set-version")',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'ยกเลิก',
      'ok' => 'ตกลง',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'เพิ่มตัวแปร',
        'removeButton' => 'ลบ',
        'variableName' => 'ตัวแปร',
        'variables' => 'ตัวแปรสภาพแวดล้อมแบบกำหนดเอง',
        'variableValue' => 'ค่า',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'โดเมน',
        'path' => 'พาธ',
        'refreshButton' => 'รีเฟรช',
        'refreshButtonDescription' => 'รีเฟรชรายการโปรแกรมจัดการ Node.js',
        'version' => 'เวอร์ชั่น',
      ],
    ],
    'run-script-popup' => [
      'options' => 'ชื่อบทคำสั่งและพารามิเตอร์',
      'optionsDescription' => 'ตัวอย่างเช่น:%%examples%%',
      'output' => 'ข้อมูลออก',
      'pleaseWait' => 'โปรดรอสักครู่',
      'run' => 'ทำงาน',
      'title' => 'เริ่มใช้บทคำสั่ง',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'การติดตั้งการทำงานแบบพึ่งพิงของแอพพิลเคชั่น',
        'title' => 'ติดตั้ง NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'โหมดแอพพลิเคชั่น "%%value%%" ไม่ถูกต้อง',
        'success' => 'อัพเดตโหมดแอพพลิเคชั่นสำเร็จแล้ว',
      ],
      'change-application-path' => [
        'failed' => 'พาธ %%path%% ไม่ถูกต้อง',
        'success' => 'อัพเดตพาธแอพพลิเคชั่นสำเร็จแล้ว',
      ],
      'change-application-startup-file' => [
        'failed' => 'ชื่อไฟล์ %%file%% ไม่ถูกต้อง',
        'success' => 'อัพเดตไฟล์เริ่มการทำงานแอพพลิเคชั่นสำเร็จแล้ว',
      ],
      'change-document-root' => [
        'failed' => 'ไม่สามารถเปลี่ยนรูทเอกสาร: %%cause%%',
        'success' => 'อัพเดตรูทเอกสารสำเร็จ',
      ],
      'change-version' => [
        'success' => 'อัพเดตเวอร์ชั่น Node.js สำเร็จแล้ว',
      ],
      'disable' => [
        'success' => 'ปิดใช้งาน Node.js บน %%domain%% แล้ว',
      ],
      'enable' => [
        'success' => 'เปิดใช้งาน Node.js บน %%domain%% แล้ว',
      ],
      'environment' => [
        'failed' => 'json-representation ของตัวแปรสิ่งแวดล้อมส่วนบุคคล \'%%var%%\' ไม่ควรเกิน 255 ตัวอักษร',
        'success' => 'อัพเดตตัวแปรสภาพแวดล้อมแบบกำหนดเองแล้ว',
        'title' => 'แก้ไขตัวแปรสภาพแวดล้อมแบบกำหนดเอง',
      ],
      'index' => [
        'applicationMode' => 'โหมดแอพพลิเคชั่น',
        'applicationModePopupDescription' => 'เลือกโหมดของแอพพลิเคชั่น Node.js:',
        'applicationModePopupTitle' => 'โหมดแอพพลิเคชั่น',
        'applicationPath' => 'รูทแอพพลิเคชั่น',
        'applicationPathOpen' => 'เปิด',
        'applicationPathPopupDescription' => 'เลือกรูทของแอพพลิเคชั่น Node.js:',
        'applicationPathPopupTitle' => 'รูทแอพพลิเคชั่น',
        'applicationStartupFile' => 'ไฟล์เริ่มการทำงานของแอพพลิเคชั่น',
        'applicationStartupFileEdit' => 'แก้ไข',
        'applicationStartupFileNotExist' => 'ไม่มีไฟล์นี้',
        'applicationStartupFilePopupDescription' => 'เปลี่ยนไฟล์เริ่มต้นของแอพพลิเคชั่น Node.js:',
        'applicationStartupFilePopupTitle' => 'ไฟล์เริ่มการทำงานของแอพพลิเคชั่น',
        'applicationUrl' => 'URL ของแอพพลิเคชั่น',
        'configurationFilesDescription' => 'คลิกชื่อไฟล์เพื่อแก้ไข:',
        'configurationFilesTitle' => 'เข้าถึงไฟล์การกำหนดค่า',
        'disableButton' => 'ปิดใช้งาน Node.js',
        'disableButtonDescription' => 'ปิดใช้งาน Node.js บนโดเมนนี้',
        'documentRoot' => 'รูทเอกสาร',
        'documentRootNotInApplicationRootWarning' => 'แอพพลิเคชั่นไม่ทำงานเพราะรูทเอกสารไม่ได้เป็นไดเร็กทอรี่ย่อยของรูทแอพพลิเคชั่น',
        'documentRootPopupDescription' => 'เลือกรูทไดเร็กทอรี่ของเว็บไซต์:',
        'documentRootPopupTitle' => 'รูทเอกสาร',
        'enableButton' => 'เปิดใช้งาน Node.js',
        'enableButtonDescription' => 'เปิดใช้งาน Node.js บนโดเมนนี้',
        'environment' => 'ตัวแปรสภาพแวดล้อมแบบกำหนดเอง',
        'environmentEdit' => 'ระบุ',
        'noStartupFileHint' => 'เปิดใช้งาน Node.js บนโดเมนนี้ แต่ไม่พบไฟล์เริ่มการทำงาน %%file%%',
        'npmInstallButton' => 'ติดตั้ง NPM',
        'npmInstallButtonDescription' => 'ติดตั้งชุดข้อมูลที่ระบุรายการอยู่ในไฟล์ \'package.json\'',
        'pleaseWait' => 'โปรดรอสักครู่...',
        'restartButton' => 'รีสตาร์ทแอพ',
        'restartButtonDescription' => 'รีสตาร์ทแอพพลิเคชั่น Node.js ของคุณ',
        'rootDirectoryTitle' => 'รูทไดเร็กทอรี่',
        'runScriptButton' => 'เริ่มใช้บทคำสั่ง',
        'runScriptButtonDescription' => 'เริ่มใช้คำสั่งที่ระบุไว้ในส่วน \'Scripts\' ของไฟล์ \'package.json\'',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js บน %%name%%',
        'version' => 'เวอร์ชั่น Node.js',
        'versionPopupDescription' => 'เลือกเวอร์ชั่นของ Node.js สำหรับแอพพลิเคชั่นนี้:',
        'versionPopupTitle' => 'เวอร์ชั่น Node.js ของแอพพลิเคชั่นนี้',
      ],
      'npm-install' => [
        'success' => 'ติดตั้งโมดูลโหนดสำเร็จแล้ว',
      ],
      'restart' => [
        'success' => 'ปรับแก้ไฟล์ restart.txt แล้วเล็กน้อย จะรีสตาร์ทแอพพลิเคชั่นหลังจากการร้องขอครั้งแรก',
      ],
      'run-script' => [
        'title' => 'รันสคริปต์ NPM',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'ตัวจัดการ Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'การจัดการสถานะ Node.js',
    'stateManagementDescription' => 'อนุญาตให้ลูกค้าเปลี่ยนสถานะ Node.js ได้',
    'supportManagement' => 'การจัดการการสนับสนุน Node.js',
    'supportManagementDescription' => 'อนุญาตให้ลูกค้าใช้งาน Node.js ได้',
    'versionManagement' => 'การจัดการเวอร์ชั่น Node.js',
    'versionManagementDescription' => 'อนุญาตให้ลูกค้าเปลี่ยนเวอร์ชั่น Node.js ได้',
  ],
];