<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Управляйте Node.js для цього веб-сайта.',
      'enabled' => 'Версія Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'режим: %%mode%%',
      'restartButton' => 'Перезапустити застосунок',
      'version' => 'Версія Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Версію Node.js "%%version%%" деактивовано.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js на домені "%%domain%%" вимкнено.',
      ],
      'enable' => [
        'success' => 'Версію Node.js "%%version%%" активовано.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js на домені "%%domain%%" ввімкнено.',
      ],
      'setVersion' => [
        'success' => 'Версію Node.js на домені "%%domain%%" змінено на "%%version%%".',
      ],
      'versions' => [
        'empty' => 'Не знайдено жодну версію Node.js.',
        'enabled' => 'Увімкнений',
        'path' => 'Шлях',
        'version' => 'Версія',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Команду "%%command%%" не знайдено.',
      'disabledOnDomain' => 'Підтримку Node.js на домені вимкнено.',
      'domainDoesNotHaveHosting' => 'Домен "%%domain%%" не має фізичного хостингу.',
      'handlerNotFound' => 'Версію Node.js: "%%version%%" не знайдено.',
      'noHandlerOnDomain' => 'На домені має бути активована принаймні одна версія Node.js.',
      'permissionDenied' => 'Право скасовано',
      'versionIsEmpty' => 'Версія порожня.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Вимкніть версію Node.js або вимкніть підтримку Node.js на домені.',
      'enable' => 'Ввімкніть версію Node.js або ввімкніть підтримку Node.js на домені.',
      'get-version' => 'Покажіть версію Node.js на домені.',
      'set-version' => 'Налаштуйте версію Node.js на домені.',
      'versions' => 'Покажіть список версій Node.js.',
    ],
    'options' => [
      'domain' => 'Доменне ім’я (використовуйте з командами "enable", "disable" та "get-version").',
      'version' => 'Версія Node.js (використовуйте з командами "enable", "disable", "set-version").',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Скасувати',
      'ok' => 'ОК',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Додати перемінну',
        'removeButton' => 'Видалити',
        'variableName' => 'Перемінна',
        'variables' => 'Перемінні користувацького середовища',
        'variableValue' => 'Значення',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Домени',
        'path' => 'Шлях',
        'refreshButton' => 'Оновити',
        'refreshButtonDescription' => 'Оновіть список обробників Node.js',
        'version' => 'Версія',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Ім’я та параметри скрипту',
      'optionsDescription' => 'Приклади:%%examples%%',
      'output' => 'Вивід',
      'pleaseWait' => 'Будь ласка, почекайте',
      'run' => 'Запустити',
      'title' => 'Запустити скрипт',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Встановлення залежностей застосунка.',
        'title' => 'Встановити NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Режим застосунка "%%value%%" недійсний.',
        'success' => 'Режим застосунка успішно оновлено.',
      ],
      'change-application-path' => [
        'failed' => 'Шлях %%path%% недійсний.',
        'success' => 'Шлях застосунка успішно оновлено.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Ім\'я файлу %%file%% недійсне.',
        'success' => 'Файл запуску застосунка успішно оновлено.',
      ],
      'change-document-root' => [
        'failed' => 'Неможливо змінити корінь документа: %%cause%%',
        'success' => 'Корінь документа успішно оновлено.',
      ],
      'change-version' => [
        'success' => 'Версію Node.js успішно оновлено.',
      ],
      'disable' => [
        'success' => 'Node.js деактивовано на %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js активовано на %%domain%%.',
      ],
      'environment' => [
        'failed' => 'Json-репрезентація особистої змінної середовища \'%%var%%\' не повинна перевищувати 255 символів.',
        'success' => 'Перемінні користувацького середовища оновлено.',
        'title' => 'Редагувати перемінні користувацького середовища',
      ],
      'index' => [
        'applicationMode' => 'Режим застосунка',
        'applicationModePopupDescription' => 'Виберіть режим застосунка Node.js:',
        'applicationModePopupTitle' => 'Режим застосунка',
        'applicationPath' => 'Корінь застосунка',
        'applicationPathOpen' => 'відкритий',
        'applicationPathPopupDescription' => 'Виберіть корінь застосунка Node.js:',
        'applicationPathPopupTitle' => 'Корінь застосунка',
        'applicationStartupFile' => 'Файл запуску застосунка',
        'applicationStartupFileEdit' => 'редагувати',
        'applicationStartupFileNotExist' => 'Файл не існує',
        'applicationStartupFilePopupDescription' => 'Змініть файл запуску застосунка Node.js:',
        'applicationStartupFilePopupTitle' => 'Файл запуску застосунка',
        'applicationUrl' => 'URL застосунка',
        'configurationFilesDescription' => 'Для редагування натисніть на ім\'я файлу:',
        'configurationFilesTitle' => 'Доступ до файлів конфігурації',
        'disableButton' => 'Деактивувати Node.js',
        'disableButtonDescription' => 'Деактивувати Node.js на цьому домені.',
        'documentRoot' => 'Маршрут документу',
        'documentRootNotInApplicationRootWarning' => 'Застосунок не працюватиме, тому що корінь документа не є підпотомком кореня застосунка',
        'documentRootPopupDescription' => 'Виберіть кореневий каталог вебсайта:',
        'documentRootPopupTitle' => 'Маршрут документу',
        'enableButton' => 'Активувати Node.js',
        'enableButtonDescription' => 'Аактивувати Node.js на цьому домені.',
        'environment' => 'Перемінні користувацького середовища',
        'environmentEdit' => 'визначити',
        'noStartupFileHint' => 'На цьому домені активовано Node.js. Але не знайдено файл запуску %%file%%.',
        'npmInstallButton' => 'Встановити NPM',
        'npmInstallButtonDescription' => 'Встановити пакет(и), наведений(і) в файлі \'package.json\'.',
        'pleaseWait' => 'Будь ласка, зачекайте...',
        'restartButton' => 'Перезапустити застосунок',
        'restartButtonDescription' => 'Перезапустіть ваш застосунок Node.js.',
        'rootDirectoryTitle' => 'Кореневий каталог',
        'runScriptButton' => 'Запустити скрипт',
        'runScriptButtonDescription' => 'Запустіть команду, визначену в секції \'Скрипти\' файла \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js на %%name%%',
        'version' => 'Версія Node.js',
        'versionPopupDescription' => 'Виберіть версію Node.js для цього застосунка:',
        'versionPopupTitle' => 'Версія Node.js цього застосунка',
      ],
      'npm-install' => [
        'success' => 'Модулі вузла успішно встановлено.',
      ],
      'restart' => [
        'success' => 'Файл restart.txt було змінено за допомогою застосунка touch. Застосунок буде перезапущено після першого запиту.',
      ],
      'run-script' => [
        'title' => 'Запуск скрипта NPM',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Менеджер Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Управління станом Node.js',
    'stateManagementDescription' => 'Дозволити користувачам змінювати стан Node.js',
    'supportManagement' => 'Управління підтримкою Node.js',
    'supportManagementDescription' => 'Дозволити замовникам використовувати Node.js',
    'versionManagement' => 'Управління версією Node.js',
    'versionManagementDescription' => 'Дозволити користувачам змінювати версію Node.js',
  ],
];