<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Quản lý Node.js cho trang web này.',
      'enabled' => 'Phiên bản Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'chế độ: %%mode%%',
      'restartButton' => 'Khởi Động Lại Ứng Dụng',
      'version' => 'Phiên bản Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Phiên bản Node.js "%%version%%” đã được tắt.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js trên miền "%%domain%%" đã được tắt.',
      ],
      'enable' => [
        'success' => 'Phiên bản Node.js "%%version%%" đã được bật.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js trên miền "%%domain%%" đã được bật.',
      ],
      'setVersion' => [
        'success' => 'Phiên bản Node.js trên miền "%%domain%%" được đổi sang "%%version%%".',
      ],
      'versions' => [
        'empty' => 'Không tìm thấy phiên bản nào của Node.js.',
        'enabled' => 'Đã bật',
        'path' => 'Đường dẫn',
        'version' => 'Phiên bản',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Không tìm thấy lệnh "%%command%%".',
      'disabledOnDomain' => 'Hỗ trợ Node.js bị tắt trên tên miền này.',
      'domainDoesNotHaveHosting' => 'Miền "%%domain%%" không có lưu trữ vật lý.',
      'handlerNotFound' => 'Không tìm thấy phiên bản Node.js "%%version%%".',
      'noHandlerOnDomain' => 'Ít nhất một phiên bản Node.js phải được bật cho tên miền.',
      'permissionDenied' => 'Quyền truy cập bị từ chối',
      'versionIsEmpty' => 'Phiên bản trống rỗng.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Vô hiệu hóa phiên bản Node.js hoặc vô hiệu hóa hỗ trợ Node.js trên miền.',
      'enable' => 'Kích hoạt phiên bản Node.js hoặc kích hoạt hỗ trợ Node.js trên miền.',
      'get-version' => 'Hiển thị phiên bản Node.js trên miền.',
      'set-version' => 'Thiết lập phiên bản Node.js trên miền.',
      'versions' => 'Hiển thị danh sách các phiên bản Node.js.',
    ],
    'options' => [
      'domain' => 'Tên miền (dùng với các lệnh "kích hoạt", "vô hiệu hóa", và "nhận phiên bản").',
      'version' => 'Phiên bản Node.js (dùng với các lệnh "kích hoạt", "vô hiệu hóa", và "thiết lập phiên bản").',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Hủy',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Thêm biến',
        'removeButton' => 'Xóa bỏ',
        'variableName' => 'Biến',
        'variables' => 'Biến môi trường tùy chỉnh',
        'variableValue' => 'Giá trị',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Miền',
        'path' => 'Đường dẫn',
        'refreshButton' => 'Cập nhật mới',
        'refreshButtonDescription' => 'Làm mới danh sách các trình xử lý Node.js',
        'version' => 'Phiên bản',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Tên tập lệnh và các thông số',
      'optionsDescription' => 'Ví dụ:%%examples%%',
      'output' => 'Đầu ra',
      'pleaseWait' => 'Vui lòng đợi',
      'run' => 'Chạy',
      'title' => 'Chạy tập lệnh',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Cài đặt các phụ thuộc ứng dụng phụ.',
        'title' => 'Cài đặt NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Chế độ ứng dụng "%%value%%" không hợp lệ.',
        'success' => 'Chế độ ứng dụng đã được cập nhật thành công.',
      ],
      'change-application-path' => [
        'failed' => 'Đường dẫn %%path%% không hợp lệ.',
        'success' => 'Đường dẫn ứng dụng đã được cập nhật thành công.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Tên tập tin %%file%% không hợp lệ.',
        'success' => 'Tệp tin khởi động ứng dụng đã được cập nhật thành công.',
      ],
      'change-document-root' => [
        'failed' => 'Không thể thay đổi thư mục gốc: %%cause%%',
        'success' => 'Đã cập nhật thư mục gốc thành công.',
      ],
      'change-version' => [
        'success' => 'Phiên bản Node.js được cập nhật thành công.',
      ],
      'disable' => [
        'success' => 'Node.js được tắt trên %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js được bật trên %%domain%%.',
      ],
      'environment' => [
        'failed' => 'Phần trình bày json của biến môi trường cá nhân \'%%var%%\' không được vượt quá 255 ký tự.',
        'success' => 'Biến môi trường tùy chỉnh đã được cập nhật..',
        'title' => 'Chỉnh sửa biến môi trường tùy chỉnh',
      ],
      'index' => [
        'applicationMode' => 'Chế Độ Ứng Dụng',
        'applicationModePopupDescription' => 'Lựa chọn chế độ của ứng dụng Node.js:',
        'applicationModePopupTitle' => 'Chế Độ Ứng Dụng',
        'applicationPath' => 'Gốc Ứng Dụng',
        'applicationPathOpen' => 'mở',
        'applicationPathPopupDescription' => 'Chọn gốc ứng dụng Node.js:',
        'applicationPathPopupTitle' => 'Gốc Ứng Dụng',
        'applicationStartupFile' => 'Tập Tin Khởi Động Ứng Dụng',
        'applicationStartupFileEdit' => 'hiệu chỉnh',
        'applicationStartupFileNotExist' => 'Tập tin không tồn tại',
        'applicationStartupFilePopupDescription' => 'Thay đổi tập tin khởi động của ứng dụng Node.js:',
        'applicationStartupFilePopupTitle' => 'Tập Tin Khởi Động Ứng Dụng',
        'applicationUrl' => 'URL ứng dụng',
        'configurationFilesDescription' => 'Nhấp vào tên tập tin để chỉnh sửa:',
        'configurationFilesTitle' => 'Truy Cập Tập Tin Cấu Hình',
        'disableButton' => 'Tắt Node.js',
        'disableButtonDescription' => 'Tắt Node.js trên tên miền này.',
        'documentRoot' => 'Thư mục gốc',
        'documentRootNotInApplicationRootWarning' => 'Ứng dụng sẽ không hoạt động bởi vì thư mục gốc không phải là thư mục con của gốc ứng dụng',
        'documentRootPopupDescription' => 'Chọn thư mục gốc của website:',
        'documentRootPopupTitle' => 'Thư mục gốc',
        'enableButton' => 'Bật Node.js',
        'enableButtonDescription' => 'Bật Node.js trên tên miền này.',
        'environment' => 'Biến môi trường tùy chỉnh',
        'environmentEdit' => 'chỉ định',
        'noStartupFileHint' => 'Node.js được bật trên miền này. Nhưng không tìm thấy tập tin khởi động %%file%%.',
        'npmInstallButton' => 'Cài đặt NPM',
        'npmInstallButtonDescription' => 'Cài đặt (các) gói được liệt kê trong tập tin \'package.json\'.',
        'pleaseWait' => 'Vui lòng chờ...',
        'restartButton' => 'Khởi Động Lại Ứng Dụng',
        'restartButtonDescription' => 'Khởi động lại ứng dụng Node.js của bạn.',
        'rootDirectoryTitle' => 'Danh mục gốc',
        'runScriptButton' => 'Chạy tập lệnh',
        'runScriptButtonDescription' => 'Chạy lệnh được chỉ định trong phần "Scripts" của tập tin \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js trên %%name%%',
        'version' => 'Phiên bản Node.js',
        'versionPopupDescription' => 'Chọn phiên bản của Node.js cho ứng dụng này:',
        'versionPopupTitle' => 'Phiên bản Node.js của Ứng dụng này',
      ],
      'npm-install' => [
        'success' => 'Các mô đun Nút được cài đặt thành công.',
      ],
      'restart' => [
        'success' => 'Tập tin restart.txt được chạm vào. Ứng dụng sẽ được khởi động lại sau yêu cầu đầu tiên.',
      ],
      'run-script' => [
        'title' => 'Chạy đoạn mã NPM',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Trình quản lý Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Quản lý trạng thái Node.js',
    'stateManagementDescription' => 'Cho phép khách hàng thay đổi trạng thái Node.js',
    'supportManagement' => 'Quản lý hỗ trợ Node.js',
    'supportManagementDescription' => 'Cho phép khách hàng sử dụng Node.js',
    'versionManagement' => 'Quản lý phiên bản Node.js',
    'versionManagementDescription' => 'Cho phép khách hàng thay đổi phiên bản Node.js',
  ],
];