<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => '管理該網站的 Node.js。',
      'enabled' => 'Node.js 版本：%%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => '模式：%%mode%%',
      'restartButton' => '重啟應用',
      'version' => 'Node.js 版本：%%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => '已禁用 Node.js 版本 "%%version%%"。',
      ],
      'disableOnDomain' => [
        'success' => '域名 "%%domain%%" 上的 Node.js 已被禁用。',
      ],
      'enable' => [
        'success' => '已啟用 Node.js 版本 "%%version%%"。',
      ],
      'enableOnDomain' => [
        'success' => '域名 "%%domain%%" 上的 Node.js 已被啟用。',
      ],
      'setVersion' => [
        'success' => '域名 "%%domain%%" 上的 Node.js 版本已被更改為 "%%version%%"。',
      ],
      'versions' => [
        'empty' => '未找到 Node.js 版本。',
        'enabled' => '啟用',
        'path' => '路徑',
        'version' => '版本',
      ],
    ],
    'common' => [
      'commandNotFound' => '未找到命令 "%%command%%"。',
      'disabledOnDomain' => '已在域名上禁用 Node.js 支援。',
      'domainDoesNotHaveHosting' => '域名 "%%domain%%" 沒有物理主機。',
      'handlerNotFound' => '未找到 Node.js 版本 "%%version%%"。',
      'noHandlerOnDomain' => '應至少為域名啟用一個 Node.js 版本。',
      'permissionDenied' => '拒絕存取',
      'versionIsEmpty' => '版本為空。',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => '禁用 Node.js 版本或禁用域名上的 Node.js 支援。',
      'enable' => '啟用 Node.js 版本或啟用域名上的 Node.js 支援。',
      'get-version' => '在域名上顯示 Node.js 版本。',
      'set-version' => '在域名上設定 Node.js 版本。',
      'versions' => '顯示一系列 Node.js 版本。',
    ],
    'options' => [
      'domain' => '域名（一同使用 "enable"、"disable" 和 "get-version" 命令）。',
      'version' => 'Node.js 版本（一同使用 "enable"、"disable" 和 "set-version" 命令）。',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => '取消',
      'ok' => '確定',
    ],
    'forms' => [
      'environment' => [
        'addButton' => '添加變數',
        'removeButton' => '移除',
        'variableName' => '變數',
        'variables' => '自訂的環境變數',
        'variableValue' => '值',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => '域名',
        'path' => '路徑',
        'refreshButton' => '刷新',
        'refreshButtonDescription' => '刷新 Node.js 處理常式列表',
        'version' => '版本',
      ],
    ],
    'run-script-popup' => [
      'options' => '腳本名稱和參數',
      'optionsDescription' => '示例：%%examples%%',
      'output' => '輸出',
      'pleaseWait' => '請稍候',
      'run' => '運行',
      'title' => '運行腳本',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => '安裝應用程式依賴。',
        'title' => 'NPM install',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => '該應用程式模式 "%%value%%" 無效。',
        'success' => '已成功更新應用程式模式。',
      ],
      'change-application-path' => [
        'failed' => '該路徑 %%path%% 無效。',
        'success' => '已成功更新應用程式路徑。',
      ],
      'change-application-startup-file' => [
        'failed' => '該檔案名稱 %%file%% 無效。',
        'success' => '已成功更新應用程式開機檔案。',
      ],
      'change-document-root' => [
        'failed' => '無法更改文檔根目錄：%%cause%%',
        'success' => '已成功更新文檔根目錄。',
      ],
      'change-version' => [
        'success' => '已成功更新 Node.js 版本。',
      ],
      'disable' => [
        'success' => '已在 %%domain%% 上禁用 Node.js。',
      ],
      'enable' => [
        'success' => '已在 %%domain%% 上啟用 Node.js。',
      ],
      'environment' => [
        'failed' => '個人環境變數\'%%var%%\' 的 json 表示不應超過255個字元。',
        'success' => '已更新自訂的環境變數。',
        'title' => '編輯自訂的環境變數',
      ],
      'index' => [
        'applicationMode' => '應用程式模式',
        'applicationModePopupDescription' => '選擇 Node.js 應用程式的模式：',
        'applicationModePopupTitle' => '應用程式模式',
        'applicationPath' => '應用程式的根目錄',
        'applicationPathOpen' => '打開',
        'applicationPathPopupDescription' => '選擇 Node.js 應用程式的根目錄：',
        'applicationPathPopupTitle' => '應用程式的根目錄',
        'applicationStartupFile' => '應用程式開機檔案',
        'applicationStartupFileEdit' => '編輯',
        'applicationStartupFileNotExist' => '該文件不存在。',
        'applicationStartupFilePopupDescription' => '更改 Node.js 應用程式的開機檔案：',
        'applicationStartupFilePopupTitle' => '應用程式開機檔案',
        'applicationUrl' => '應用程式 URL',
        'configurationFilesDescription' => '點按一個檔案名以編輯：',
        'configurationFilesTitle' => '設定檔的存取',
        'disableButton' => '禁用 Node.js',
        'disableButtonDescription' => '禁用該域名上的 Node.js。',
        'documentRoot' => '文檔根目錄',
        'documentRootNotInApplicationRootWarning' => '應用程式將不會運行因為文檔根目錄不是應用程式根目錄的一個子目錄。',
        'documentRootPopupDescription' => '選擇網站的根目錄：',
        'documentRootPopupTitle' => '文檔根目錄',
        'enableButton' => '啟用 Node.js',
        'enableButtonDescription' => '啟用該域名上的 Node.js。',
        'environment' => '自訂的環境變數',
        'environmentEdit' => '指定',
        'noStartupFileHint' => '在該域名上啟用了 Node.js。但是未找到開機檔案 %%file%%。',
        'npmInstallButton' => 'NPM install',
        'npmInstallButtonDescription' => '安裝在 \'package.json\' 文件中列出的套裝程式。',
        'pleaseWait' => '請稍候...',
        'restartButton' => '重啟應用',
        'restartButtonDescription' => '重啟您的 Node.js 應用程式。',
        'rootDirectoryTitle' => '根目錄',
        'runScriptButton' => '運行腳本',
        'runScriptButtonDescription' => '運行在 \'package.json\' 檔的 \'Scripts\' 部分中指定的命令。',
        'title' => 'Node.js',
        'titleForObject' => '%%name%% 上的 Node.js',
        'version' => 'Node.js 版本',
        'versionPopupDescription' => '為該應用程式選擇 Node.js 版本：',
        'versionPopupTitle' => '該應用程式的 Node.js 版本',
      ],
      'npm-install' => [
        'success' => '已成功安裝節點模組。',
      ],
      'restart' => [
        'success' => '已通過 touch 命令更改 restart.txt 文件。 第一次請求後將會重啟應用程式。',
      ],
      'run-script' => [
        'title' => '運行 NPM 腳本',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Node.js Manager',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Node.js 狀態管理',
    'stateManagementDescription' => '允許客戶更改 Node.js 狀態',
    'supportManagement' => 'Node.js 支援管理',
    'supportManagementDescription' => '允許客戶使用 Node.js',
    'versionManagement' => 'Node.js 版本管理',
    'versionManagementDescription' => '允許客戶更改 Node.js 版本',
  ],
];