<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'إدارة Node.js لهذا الموقع الإلكتروني.',
      'enabled' => 'إصدار Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'الوضع: %%mode%%',
      'restartButton' => 'إعادة تشغيل التطبيق',
      'version' => 'إصدار Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'تم تعطيل إصدار Node.js "%%version%%".',
      ],
      'disableOnDomain' => [
        'success' => 'تم تعطيل نظام Node.js الموجود على النطاق "%%domain%%".',
      ],
      'enable' => [
        'success' => 'تم تمكين إصدار Node.js "%%version%%".',
      ],
      'enableOnDomain' => [
        'success' => 'تم تمكين نظام Node.js الموجود على النطاق "%%domain%%".',
      ],
      'setVersion' => [
        'success' => 'تم تغيير إصدار نظام Node.js الموجود على النطاق "%%domain%%" إلى الإصدار "%%version%%".',
      ],
      'versions' => [
        'empty' => 'لم يتم العثور على إصدارات Node.js.',
        'enabled' => 'مُمكن',
        'path' => 'مسار',
        'version' => 'الإصدار',
      ],
    ],
    'common' => [
      'commandNotFound' => 'لم يتم العثور على الأمر "%%command%%".',
      'disabledOnDomain' => 'تم تعطيل دعم Node.js في النطاق.',
      'domainDoesNotHaveHosting' => 'لا يتمتع النطاق "%%domain%%" باستضافة فعلية.',
      'handlerNotFound' => 'لم يتم العثور على إصدار Node.js "%%version%%".',
      'noHandlerOnDomain' => 'يجب على الأقل تمكين إصدار واحد من Node.js للنطاق.',
      'permissionDenied' => 'إذن مرفوض',
      'versionIsEmpty' => 'الإصدار فارغ.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'تعطيل إصدار نظام Node.js أو تعطيل دعم نظام Node.js على نطاق.',
      'enable' => 'تمكين إصدار نظام Node.js أو تمكين دعم نظام Node.js على نطاق.',
      'get-version' => 'عرض إصدار نظام Node.js على نطاق.',
      'set-version' => 'تعيين إصدار نظام Node.js على نطاق.',
      'versions' => 'عرض قائمة إصدارات نظام Node.js.',
    ],
    'options' => [
      'domain' => 'اسم النطاق (استخدمه مع أوامر "التمكين و"التعطيل" و"الحصول على إصدار").',
      'version' => 'إصدار نظام Node.js (استخدمه مع أوامر "التمكين و"التعطيل" و"الحصول على إصدار").',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'إلغاء',
      'ok' => 'موافق',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'إضافة متغير',
        'removeButton' => 'إزالة',
        'variableName' => 'متغير',
        'variables' => 'المتغيرات البيئية المخصصة',
        'variableValue' => 'القيمة',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'النطاقات',
        'path' => 'مسار',
        'refreshButton' => 'تحديث',
        'refreshButtonDescription' => 'أعد تحديث قائمة معالجات نظام Node.js',
        'version' => 'الإصدار',
      ],
    ],
    'run-script-popup' => [
      'options' => 'اسم البرنامج النصي والمعلمات',
      'optionsDescription' => 'أمثلة:%%examples%%',
      'output' => 'الإخراج',
      'pleaseWait' => 'برجاء الانتظار',
      'run' => 'تشغيل',
      'title' => 'تشغيل البرنامج النصي',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'جارٍ تثبيت تبعيات التطبيق.',
        'title' => 'تثبيت NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'وضع التطبيق "%%value%%" غير صالح.',
        'success' => 'تم تحديث وضع التطبيق بنجاح.',
      ],
      'change-application-path' => [
        'failed' => 'المسار %%path%% غير صالح.',
        'success' => 'تم تحديث مسار التطبيق بنجاح.',
      ],
      'change-application-startup-file' => [
        'failed' => 'اسم الملف %%file%% غير صالح.',
        'success' => 'تم تحديث ملف بدء تشغيل التطبيق بنجاح.',
      ],
      'change-document-root' => [
        'failed' => 'يتعذر تغيير جذر المستند: %%cause%%',
        'success' => 'تم تحديث جذر المستند بنجاح.',
      ],
      'change-version' => [
        'success' => 'تم تحديث إصدار Node.js بنجاح.',
      ],
      'disable' => [
        'success' => 'تم تعطيل Node.js في %%domain%%.',
      ],
      'enable' => [
        'success' => 'تم تمكين Node.js في %%domain%%.',
      ],
      'environment' => [
        'failed' => 'ينبغي ألا يتجاوز تمثيل json لمتغير \'%%var%%\' البيئة الشخصية 255 حرفًا.',
        'success' => 'تم تحديث المتغيرات البيئية المخصصة.',
        'title' => 'تحرير المتغيرات البيئية المخصصة',
      ],
      'index' => [
        'applicationMode' => 'وضع التطبيق',
        'applicationModePopupDescription' => 'حدد وضع تطبيق نظام Node.js:',
        'applicationModePopupTitle' => 'وضع التطبيق',
        'applicationPath' => 'جذر التطبيق',
        'applicationPathOpen' => 'فتح',
        'applicationPathPopupDescription' => 'حدد جذر تطبيق نظام Node.js:',
        'applicationPathPopupTitle' => 'جذر التطبيق',
        'applicationStartupFile' => 'ملف بدء تشغيل التطبيق',
        'applicationStartupFileEdit' => 'تحرير',
        'applicationStartupFileNotExist' => 'الملف غير موجود',
        'applicationStartupFilePopupDescription' => 'قم بتغيير ملف بدء تشغيل تطبيق نظام Node.js:',
        'applicationStartupFilePopupTitle' => 'ملف بدء تشغيل التطبيق',
        'applicationUrl' => 'رابط URL للتطبيق',
        'configurationFilesDescription' => 'انقر فوق اسم الملف لتحريره:',
        'configurationFilesTitle' => 'الوصول إلى ملفات التكوين',
        'disableButton' => 'تعطيل Node.js',
        'disableButtonDescription' => 'تعطيل Node.js في هذا النطاق.',
        'documentRoot' => 'جذر المستند',
        'documentRootNotInApplicationRootWarning' => 'لن يعمل التطبيق نظرًا لأن جذر التطبيق ليس تابع فرعي لجذر التطبيق',
        'documentRootPopupDescription' => 'حدد الدليل الرئيسي لموقع الويب:',
        'documentRootPopupTitle' => 'جذر المستند',
        'enableButton' => 'تمكين Node.js',
        'enableButtonDescription' => 'تمكيل Node.js في هذا النطاق.',
        'environment' => 'المتغيرات البيئية المخصصة',
        'environmentEdit' => 'تحديد',
        'noStartupFileHint' => 'تم تمكين Node.js في هذا النطاق. ولكن لم يتم العثور على ملف بدء التشغيل %%file%%.',
        'npmInstallButton' => 'تثبيت NPM',
        'npmInstallButtonDescription' => 'تثبيت الحزمة (الحزم) المدرجة في الملف "package.json".',
        'pleaseWait' => 'برجاء الانتظار...',
        'restartButton' => 'إعادة تشغيل التطبيق',
        'restartButtonDescription' => 'إعادة تشغيل تطبيق Node.js الخاص بك.',
        'rootDirectoryTitle' => 'دليل جذر',
        'runScriptButton' => 'تشغيل البرنامج النصي',
        'runScriptButtonDescription' => 'تشغيل أمر محدد في القسم "البرامج النصية" من الملف "package.json".',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js في %%name%%',
        'version' => 'إصدار Node.js',
        'versionPopupDescription' => 'حدد إصدار Node.js لهذا التطبيق:',
        'versionPopupTitle' => 'إصدار Node.js لهذا التطبيق',
      ],
      'npm-install' => [
        'success' => 'تم تثبيت وحدات العقدة بنجاح.',
      ],
      'restart' => [
        'success' => 'تأثر الملف restart.txt. ستتم إعادة تشغيل التطبيق بعد الطلب الأول.',
      ],
      'run-script' => [
        'title' => 'تشغيل برنامج NPM النصي',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'مدير Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'إدارة حالة Node.js',
    'stateManagementDescription' => 'السماح للعملاء بتغيير حالة Node.js',
    'supportManagement' => 'إدارة دعم Node.js',
    'supportManagementDescription' => 'السماح للعملاء باستخدام Node.js',
    'versionManagement' => 'إدارة إصدار Node.js',
    'versionManagementDescription' => 'السماح للعملاء بتغيير إصدار Node.js',
  ],
];