<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Håndtér Node.js for dette websted.',
      'enabled' => 'Node.js version: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'tilstand: %%mode%%',
      'restartButton' => 'Genstart app',
      'version' => 'Node.js version: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Node.js-version "%%version%%" blev deaktiveret.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js på domænet &quot;%%domain%%&quot; var deaktiveret.',
      ],
      'enable' => [
        'success' => 'Node.js-version "%%version%%" blev aktiveret.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js på domænet &quot;%%domain%%&quot; var aktiveret.',
      ],
      'setVersion' => [
        'success' => 'Node.js på domænet &quot;%%domain%%&quot; blev ændret til &quot;%%version%%&quot;.',
      ],
      'versions' => [
        'empty' => 'Ingen versioner af Node.js fundet.',
        'enabled' => 'Aktiveret',
        'path' => 'Sti',
        'version' => 'Version',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Kommandoen "%%command%%" blev ikke fundet.',
      'disabledOnDomain' => 'Understøttelse af Node.js er deaktiveret på domænet.',
      'domainDoesNotHaveHosting' => 'Domænet "%%domain%%" har ingen fysisk hosting.',
      'handlerNotFound' => 'Node.js-version "%%version%%" blev ikke fundet.',
      'noHandlerOnDomain' => 'Mindst en Node.js-version bør aktiveres for domænet.',
      'permissionDenied' => 'Tilladelse nægtet',
      'versionIsEmpty' => 'Versionen er tom.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Deaktivér Node.js-version, eller deaktivér Node.js-understøttelse på et domæne.',
      'enable' => 'Aktivér Node.js-version, eller aktivér Node.js-understøttelse på et domæne.',
      'get-version' => 'Vis Node.js-version på et domæne.',
      'set-version' => 'Indstil Node.js-version på et domæne.',
      'versions' => 'Vis listen over Node.js-versioner.',
    ],
    'options' => [
      'domain' => 'Domænenavn (bruges med kommandoerne &quot;enable&quot; (aktivér), &quot;disable&quot; (deaktivér) og &quot;get-version&quot; (hent-version).',
      'version' => 'Node.js-version (anvend med kommandoerne &quot;enable&quot;, &quot;disable&quot; og &quot;set-version&quot;).',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Annuller',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Tilføj variabel',
        'removeButton' => 'Fjern',
        'variableName' => 'Variabel',
        'variables' => 'Brugerdefinerede miljøvariabler',
        'variableValue' => 'Værdi',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Domæner',
        'path' => 'Sti',
        'refreshButton' => 'Opdater',
        'refreshButtonDescription' => 'Genopfrisk listen over Node.js-versioner.',
        'version' => 'Version',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Script-navn og parametre',
      'optionsDescription' => 'Eksempler: %%examples%%',
      'output' => 'Output',
      'pleaseWait' => 'Vent venligst',
      'run' => 'Kør',
      'title' => 'Kør script',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Installerer applikationsafhængigheder.',
        'title' => 'NPM-installation',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Applikationstilstanden &quot;%%value%%&quot; er ugyldig.',
        'success' => 'Applikationstilstand blev opdateret korrekt.',
      ],
      'change-application-path' => [
        'failed' => 'Stien %%path%% er ugyldig.',
        'success' => 'Applikationssti blev opdateret korrekt.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Filnavnet %%file%% er ugyldigt.',
        'success' => 'Applikationsopstartsfil blev opdateret korrekt.',
      ],
      'change-document-root' => [
        'failed' => 'Kan ikke ændre dokumentroden: %%cause%%',
        'success' => 'Dokumentroden blev korrekt opdateret.',
      ],
      'change-version' => [
        'success' => 'Node.js-version blev opdateret korrekt.',
      ],
      'disable' => [
        'success' => 'Node.js blev deaktiveret på %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js blev aktiveret på %%domain%%.',
      ],
      'environment' => [
        'failed' => 'json-repræsentationen af en personlig miljøvariabel \'%%var%%\' bør ikke overskride 255 tegn.',
        'success' => 'Brugerdefinerede miljøvariabler blev opdateret.',
        'title' => 'Rediger brugerdefinerede miljøvariabler',
      ],
      'index' => [
        'applicationMode' => 'Programtilstand',
        'applicationModePopupDescription' => 'Vælg tilstanden for Node.js-applikationen:',
        'applicationModePopupTitle' => 'Programtilstand',
        'applicationPath' => 'Applikationsrod',
        'applicationPathOpen' => 'åben',
        'applicationPathPopupDescription' => 'Vælg roden til Node.js-applikationen:',
        'applicationPathPopupTitle' => 'Applikationsrod',
        'applicationStartupFile' => 'Applikationsopstartsfil',
        'applicationStartupFileEdit' => 'rediger',
        'applicationStartupFileNotExist' => 'Filen findes ikke',
        'applicationStartupFilePopupDescription' => 'Skift opstartsfil til Node.js-applikationen:',
        'applicationStartupFilePopupTitle' => 'Applikationsopstartsfil',
        'applicationUrl' => 'Applikations-URL',
        'configurationFilesDescription' => 'Kl k på et filnavn for at redigere:',
        'configurationFilesTitle' => 'Adgang til konfigurationsfiler',
        'disableButton' => 'Deaktivér Node.js',
        'disableButtonDescription' => 'Deaktivér Node.js på dette domæne.',
        'documentRoot' => 'Dokumentrod',
        'documentRootNotInApplicationRootWarning' => 'Applikationen vil ikke fungere, da dokumentroden ikke er et subchild af applikationsroden',
        'documentRootPopupDescription' => 'Vælg webstedets rodbibliotek:',
        'documentRootPopupTitle' => 'Dokumentrod',
        'enableButton' => 'Aktivér Node.js',
        'enableButtonDescription' => 'Aktivér Node.js på dette domæne.',
        'environment' => 'Brugerdefinerede miljøvariabler',
        'environmentEdit' => 'angiv',
        'noStartupFileHint' => 'Node.js er aktiveret på dette domæne. Opstartsfilen %%file%% blev imidlertid ikke fundet.',
        'npmInstallButton' => 'NPM-installation',
        'npmInstallButtonDescription' => 'Installér pakken eller pakkerne, der fremgår af filen \'package.json\'.',
        'pleaseWait' => 'Vent venligst...',
        'restartButton' => 'Genstart app',
        'restartButtonDescription' => 'Genstart din Node.js-applikation.',
        'rootDirectoryTitle' => 'Rodmappe:',
        'runScriptButton' => 'Kør script',
        'runScriptButtonDescription' => 'Kør en kommando, der er specificeret i afsnittet \'Scripts\' i filen \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js på %%name%%',
        'version' => 'Node.js Version',
        'versionPopupDescription' => 'Vælg versionen af Node.js til denne applikation:',
        'versionPopupTitle' => 'Node.js-version til denne applikation',
      ],
      'npm-install' => [
        'success' => 'Node-moduler blev installeret korrekt.',
      ],
      'restart' => [
        'success' => 'Filen  restart.txt file blev mærket. Applikationen genstartes efter første anmodning.',
      ],
      'run-script' => [
        'title' => 'Kør NPM-script',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Node.js Manager',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Node.js-tilstandshåndtering',
    'stateManagementDescription' => 'Tillad kunder at skifte Node.js-tilstand',
    'supportManagement' => 'Håndtering af Node.js-understøttelse',
    'supportManagementDescription' => 'Tillad kunder at bruge Node.js',
    'versionManagement' => 'Node.js-versionsstyring',
    'versionManagementDescription' => 'Tillad kunder at skifte Node.js-version',
  ],
];