<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Node.js für diese Website verwalten',
      'enabled' => 'Node.js Version: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'Modus: %%mode%%',
      'restartButton' => 'App neu starten',
      'version' => 'Node.js Version: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Die Node.js Version "%%version%%" wurde deaktiviert.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js auf der Domain &quot;%%domain%%&quot; wurde deaktiviert.',
      ],
      'enable' => [
        'success' => 'Die Node.js Version "%%version%%" wurde aktiviert.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js auf der Domain &quot;%%domain%%&quot; wurde aktiviert.',
      ],
      'setVersion' => [
        'success' => 'Die Node.js Version auf der Domain &quot;%%domain%%&quot; wurde in &quot;%%version%%&quot; geändert.',
      ],
      'versions' => [
        'empty' => 'Keine Version von Node.js gefunden',
        'enabled' => 'Aktiviert',
        'path' => 'Pfad',
        'version' => 'Version',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Der Befehl "%%command%%" wurde nicht gefunden.',
      'disabledOnDomain' => 'Die Unterstützung von Node.js ist auf der Domain deaktiviert.',
      'domainDoesNotHaveHosting' => 'Die Domain "%%domain%%" hat kein physikalisches Hosting.',
      'handlerNotFound' => 'Die Node.js Version "%%version%%" wurde nicht gefunden.',
      'noHandlerOnDomain' => 'Mindestens eine Node.js Version sollte für die Domain aktiviert werden.',
      'permissionDenied' => 'Berechtigung verweigert',
      'versionIsEmpty' => 'Die Version ist leer.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Node.js Version oder Unterstützung von Node.js in einer Domain deaktivieren',
      'enable' => 'Node.js Version oder Unterstützung von Node.js in einer Domain aktivieren',
      'get-version' => 'Node.js Version in einer Domain anzeigen',
      'set-version' => 'Node.js Version in einer Domain festlegen',
      'versions' => 'Liste der Node.js Versionen anzeigen',
    ],
    'options' => [
      'domain' => 'Domainname (mit den Befehlen &quot;enable&quot;, &quot;disable&quot; und &quot;get-version&quot; verwenden)',
      'version' => 'Node.js Version (mit den Befehlen &quot;enable&quot;, &quot;disable&quot; und &quot;set-version&quot; verwenden)',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Abbrechen',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Variable hinzufügen',
        'removeButton' => 'Entfernen',
        'variableName' => 'Variable',
        'variables' => 'Benutzerdefinierte Umgebungsvariablen',
        'variableValue' => 'Wert',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Domains',
        'path' => 'Pfad',
        'refreshButton' => 'Aktualisieren',
        'refreshButtonDescription' => 'Liste der Node.js Handler aktualisieren',
        'version' => 'Version',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Skriptname und Parameter',
      'optionsDescription' => 'Beispiele: %%examples%%',
      'output' => 'Ausgabe',
      'pleaseWait' => 'Bitte warten',
      'run' => 'Ausführen',
      'title' => 'Skript ausführen',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Anwendungsabhängigkeiten werden installiert',
        'title' => 'npm-Installation',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Der Anwendungsmodus &quot;%%value%%&quot; ist ungültig.',
        'success' => 'Der Anwendungsmodus wurde aktualisiert.',
      ],
      'change-application-path' => [
        'failed' => 'Der Pfad %%path%% ist ungültig.',
        'success' => 'Der Anwendungspfad wurde aktualisiert.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Der Dateiname %%file%% ist ungültig.',
        'success' => 'Die Anwendungsstartdatei wurde aktualisiert.',
      ],
      'change-document-root' => [
        'failed' => 'Der Dokumentenstamm kann nicht geändert werden. %%cause%%',
        'success' => 'Der Dokumentenstamm wurde erfolgreich aktualisiert.',
      ],
      'change-version' => [
        'success' => 'Die Version von Node.js wurde aktualisiert.',
      ],
      'disable' => [
        'success' => 'Node.js wurde in %%domain%% deaktiviert.',
      ],
      'enable' => [
        'success' => 'Node.js wurde in %%domain%% aktiviert.',
      ],
      'environment' => [
        'failed' => 'Die JSON-Darstellung der persönlichen Umgebungsvariable "%%var%%" sollte nicht länger als 255 Zeichen lang sein.',
        'success' => 'Benutzerdefinierte Umgebungsvariablen wurden aktualisiert.',
        'title' => 'Benutzerdefinierte Umgebungsvariablen bearbeiten',
      ],
      'index' => [
        'applicationMode' => 'Anwendungsmodus',
        'applicationModePopupDescription' => 'Modus der Node.js Anwendung auswählen:',
        'applicationModePopupTitle' => 'Anwendungsmodus',
        'applicationPath' => 'Anwendungsstamm',
        'applicationPathOpen' => 'öffnen',
        'applicationPathPopupDescription' => 'Stamm der Node.js Anwendung auswählen:',
        'applicationPathPopupTitle' => 'Anwendungsstamm',
        'applicationStartupFile' => 'Anwendungsstartdatei',
        'applicationStartupFileEdit' => 'bearbeiten',
        'applicationStartupFileNotExist' => 'Die Datei ist nicht vorhanden.',
        'applicationStartupFilePopupDescription' => 'Startdatei der Node.js Anwendung ändern:',
        'applicationStartupFilePopupTitle' => 'Anwendungsstartdatei',
        'applicationUrl' => 'URL der Anwendung',
        'configurationFilesDescription' => 'Zum Bearbeiten auf Dateinamen klicken:',
        'configurationFilesTitle' => 'Zugriff auf Konfigurationsdateien',
        'disableButton' => 'Node.js deaktivieren',
        'disableButtonDescription' => 'Node.js auf dieser Domain deaktivieren',
        'documentRoot' => 'Dokumentenstamm',
        'documentRootNotInApplicationRootWarning' => 'Die Anwendung funktioniert nicht, da der Dokumentenstamm kein untergeordnetes Element des Anwendungsstamms ist.',
        'documentRootPopupDescription' => 'Stammverzeichnis der Website auswählen:',
        'documentRootPopupTitle' => 'Dokumentenstamm',
        'enableButton' => 'Node.js aktivieren',
        'enableButtonDescription' => 'Node.js auf dieser Domain aktivieren',
        'environment' => 'Benutzerdefinierte Umgebungsvariablen',
        'environmentEdit' => 'angeben',
        'noStartupFileHint' => 'Node.js ist auf dieser Domain aktiviert. Die Startdatei %%file%% wurde jedoch nicht gefunden.',
        'npmInstallButton' => 'npm-Installation',
        'npmInstallButtonDescription' => 'Installiert die in der Datei package.json enthaltenen Pakete.',
        'pleaseWait' => 'Bitte warten...',
        'restartButton' => 'App neu starten',
        'restartButtonDescription' => 'Ihre Node.js Anwendung wird neu gestartet.',
        'rootDirectoryTitle' => 'Stammverzeichnis',
        'runScriptButton' => 'Skript ausführen',
        'runScriptButtonDescription' => 'Führt einen Befehl aus, der im Abschnitt "Scripts" der Datei package.json angegeben ist.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js in %%name%%',
        'version' => 'Node.js Version',
        'versionPopupDescription' => 'Node.js Version für diese Anwendung auswählen:',
        'versionPopupTitle' => 'Node.js Version dieser Anwendung',
      ],
      'npm-install' => [
        'success' => 'Die Node-Module wurden installiert.',
      ],
      'restart' => [
        'success' => 'Die Datei restart.txt wurde mit dem touch-Befehl bearbeitet. Die Anwendung wird nach der ersten Anfrage neu gestartet.',
      ],
      'run-script' => [
        'title' => 'NPM-Skript ausführen',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Node.js Manager',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Verwaltung des Status von Node.js',
    'stateManagementDescription' => 'Erlauben Sie Kunden, den Status von Node.js zu ändern.',
    'supportManagement' => 'Verwaltung der Unterstützung von Node.js',
    'supportManagementDescription' => 'Erlauben Sie Kunden, Node.js zu verwenden.',
    'versionManagement' => 'Verwaltung der Version von Node.js',
    'versionManagementDescription' => 'Erlauben Sie Kunden, die Version von Node.js zu ändern.',
  ],
];