<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Διαχείριση του Node.js για αυτή την τοποθεσία web.',
      'enabled' => 'Έκδοση Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'λειτουργία: %%mode%%',
      'restartButton' => 'Επανεκκίνηση εφαρμογής',
      'version' => 'Έκδοση Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Η έκδοση "%%version%%" του Node.js απενεργοποιήθηκε.',
      ],
      'disableOnDomain' => [
        'success' => 'Το Node.js στον τομέα &quot;%%domain%%&quot; απενεργοποιήθηκε.',
      ],
      'enable' => [
        'success' => 'Η έκδοση "%%version%%" του Node.js ενεργοποιήθηκε.',
      ],
      'enableOnDomain' => [
        'success' => 'Το Node.js στον τομέα &quot;%%domain%%&quot; ενεργοποιήθηκε.',
      ],
      'setVersion' => [
        'success' => 'Η έκδοση Node.js στον τομέα &quot;%%domain%%&quot; άλλαξε σε &quot;%%version%%&quot;.',
      ],
      'versions' => [
        'empty' => 'Δεν βρέθηκαν εκδόσεις του Node.js.',
        'enabled' => 'Ενεργοποιημένo',
        'path' => 'Διαδρομή',
        'version' => 'Έκδοση',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Η εντολή "%%command%%" δεν βρέθηκε.',
      'disabledOnDomain' => 'Η υποστήριξη Node.js είναι απενεργοποιημένη σε αυτόν τον τομέα.',
      'domainDoesNotHaveHosting' => 'Ο τομέας "%%domain%%" δεν έχει φυσική φιλοξενία.',
      'handlerNotFound' => 'Η έκδοση "%%version%%" του Node.js δεν βρέθηκε.',
      'noHandlerOnDomain' => 'Πρέπει να ενεργοποιηθεί τουλάχιστον μία έκδοση Node.js για τον τομέα.',
      'permissionDenied' => 'Δεν έχετε δικαίωμα πρόσβασης',
      'versionIsEmpty' => 'Η έκδοση είναι κενή.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Απενεργοποιήστε την έκδοση Node.js ή την υποστήριξη Node.js σε έναν τομέα.',
      'enable' => 'Ενεργοποιήστε την έκδοση Node.js ή την υποστήριξη Node.js σε έναν τομέα.',
      'get-version' => 'Εμφάνιση της έκδοσης Node.js στον τομέα.',
      'set-version' => 'Ορισμός της έκδοσης Node.js στον τομέα.',
      'versions' => 'Εμφάνιση της λίστας με τις εκδόσεις Node.js.',
    ],
    'options' => [
      'domain' => 'Όνομα τομέα (χρησιμοποιείται με τις εντολές &quot;enable&quot;, &quot;disable&quot; και &quot;get-version&quot;).',
      'version' => 'Έκδοση Node.js (χρησιμοποιείται με τις εντολές &quot;enable&quot;, &quot;disable&quot; και &quot;set-version&quot;).',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Ακύρωση',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Προσθήκη μεταβλητής',
        'removeButton' => 'Κατάργηση',
        'variableName' => 'Μεταβλητή',
        'variables' => 'Προσαρμοσμένες μεταβλητές περιβάλλοντος',
        'variableValue' => 'Τιμή',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Τομείς',
        'path' => 'Διαδρομή',
        'refreshButton' => 'Ανανέωση',
        'refreshButtonDescription' => 'Ανανέωση της λίστας με τους δείκτες χειρισμού Node.js',
        'version' => 'Έκδοση',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Όνομα και παράμετροι δέσμης ενεργειών',
      'optionsDescription' => 'Παραδείγματα: %%examples%%',
      'output' => 'Έξοδος',
      'pleaseWait' => 'Παρακαλώ περιμένετε',
      'run' => 'Εκτέλεση',
      'title' => 'Εκτέλεση δέσμης ενεργειών',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Εγκατάσταση των εξαρτήσεων της εφαρμογής.',
        'title' => 'Εγκατάσταση NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Η καθορισμένη κατάσταση λειτουργίας εφαρμογής &quot;%%value%%&quot; δεν είναι έγκυρη.',
        'success' => 'Η λειτουργία της εφαρμογής ενημερώθηκε με επιτυχία.',
      ],
      'change-application-path' => [
        'failed' => 'Η διαδρομή %%path%% δεν είναι έγκυρη.',
        'success' => 'Η διαδρομή της εφαρμογής ενημερώθηκε με επιτυχία.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Το όνομα αρχείου %%file%% δεν είναι έγκυρο.',
        'success' => 'Το αρχείο εκκίνησης της εφαρμογής ενημερώθηκε με επιτυχία.',
      ],
      'change-document-root' => [
        'failed' => 'Δεν είναι δυνατή η αλλαγή του ριζικού καταλόγου εγγράφων: %%cause%%',
        'success' => 'Ο ριζικός κατάλογος εγγράφων ενημερώθηκε με επιτυχία.',
      ],
      'change-version' => [
        'success' => 'Η έκδοση Node.js ενημερώθηκε με επιτυχία.',
      ],
      'disable' => [
        'success' => 'Το Node.js απενεργοποιήθηκε στο %%domain%%.',
      ],
      'enable' => [
        'success' => 'Το Node.js ενεργοποιήθηκε στο %%domain%%.',
      ],
      'environment' => [
        'failed' => 'Το json-representation της μεταβλητής προσωπικού περιβάλλοντος \'%%var%%\' δεν πρέπει να υπερβαίνει τους 255 χαρακτήρες.',
        'success' => 'Οι προσαρμοσμένες μεταβλητές περιβάλλοντος ενημερώθηκαν.',
        'title' => 'Επεξεργασία προσαρμοσμένων μεταβλητών περιβάλλοντος',
      ],
      'index' => [
        'applicationMode' => 'Λειτουργία εφαρμογής',
        'applicationModePopupDescription' => 'Επιλέξτε λειτουργία για την εφαρμογή Node.js:',
        'applicationModePopupTitle' => 'Λειτουργία εφαρμογής',
        'applicationPath' => 'Ριζικός κατάλογος εφαρμογής',
        'applicationPathOpen' => 'άνοιγμα',
        'applicationPathPopupDescription' => 'Επιλέξτε τον ριζικό φάκελο της εφαρμογής Node.js:',
        'applicationPathPopupTitle' => 'Ριζικός κατάλογος εφαρμογής',
        'applicationStartupFile' => 'Αρχείο εκκίνησης εφαρμογής',
        'applicationStartupFileEdit' => 'επεξεργασία',
        'applicationStartupFileNotExist' => 'Το αρχείο δεν υπάρχει',
        'applicationStartupFilePopupDescription' => 'Αλλάξτε το αρχείο εκκίνησης της εφαρμογής Node.js:',
        'applicationStartupFilePopupTitle' => 'Αρχείο εκκίνησης εφαρμογής',
        'applicationUrl' => 'Διεύθυνση URL της εφαρμογής',
        'configurationFilesDescription' => 'Κάντε κλικ  ένα όνομα αρχείου για επεξεργασία:',
        'configurationFilesTitle' => 'Πρόσβαση στα αρχεία ρύθμισης παραμέτρων',
        'disableButton' => 'Απενεργοποίηση Node.js',
        'disableButtonDescription' => 'Απενεργοποιήστε το Node.js σε αυτόν τον τομέα.',
        'documentRoot' => 'Ριζικός κατάλογος εγγράφων',
        'documentRootNotInApplicationRootWarning' => 'Η εφαρμογή δεν θα λειτουργήσει επειδή ο ριζικός κατάλογος εγγράφων δεν είναι στοιχείο-παιδί (subchild) του ριζικού καταλόγου της εφαρμογής',
        'documentRootPopupDescription' => 'Επιλέξτε τον ριζικό κατάλογο της τοποθεσίας web:',
        'documentRootPopupTitle' => 'Ριζικός κατάλογος εγγράφων',
        'enableButton' => 'Ενεργοποίηση Node.js',
        'enableButtonDescription' => 'Ενεργοποιήστε το Node.js σε αυτόν τον τομέα.',
        'environment' => 'Προσαρμοσμένες μεταβλητές περιβάλλοντος',
        'environmentEdit' => 'καθορίστε',
        'noStartupFileHint' => 'Το Node.js είναι ενεργοποιημένο σε αυτόν τον τομέα. Ωστόσο, το αρχείο εκκίνησης %%file%% δεν βρέθηκε.',
        'npmInstallButton' => 'Εγκατάσταση NPM',
        'npmInstallButtonDescription' => 'Εγκαταστήστε τα πακέτα που παρατίθενται στο αρχείο \'package.json\'.',
        'pleaseWait' => 'Παρακαλώ περιμένετε...',
        'restartButton' => 'Επανεκκίνηση εφαρμογής',
        'restartButtonDescription' => 'Επανεκκινήστε την εφαρμογή Node.js.',
        'rootDirectoryTitle' => 'Ριζικός κατάλογος',
        'runScriptButton' => 'Εκτέλεση δέσμης ενεργειών',
        'runScriptButtonDescription' => 'Εκτελέστε την εντολή που καθορίζεται στην ενότητα \'Scripts\' του αρχείου \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js στο %%name%%',
        'version' => 'Έκδοση Node.js',
        'versionPopupDescription' => 'Επιλέξτε την έκδοση Node.js για αυτή την εφαρμογή:',
        'versionPopupTitle' => 'Έκδοση Node.js αυτής της εφαρμογής',
      ],
      'npm-install' => [
        'success' => 'Οι λειτουργικές μονάδες του κόμβου εγκαταστάθηκαν με επιτυχία.',
      ],
      'restart' => [
        'success' => 'Αγγίχτηκε το αρχείο restart.txt. Η εφαρμογή θα επανεκκινηθεί μετά την πρώτη αίτηση.',
      ],
      'run-script' => [
        'title' => 'Εκτέλεση δέσμης ενεργειών NPM',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Διαχείριση Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Διαχείριση κατάστασης Node.js',
    'stateManagementDescription' => 'Να επιτρέπεται στους πελάτες να αλλάξουν την κατάσταση του Node.js',
    'supportManagement' => 'Διαχείριση υποστήριξης Node.js',
    'supportManagementDescription' => 'Να επιτρέπεται στους πελάτες να χρησιμοποιούν το Node.js',
    'versionManagement' => 'Διαχείριση έκδοσης Node.js',
    'versionManagementDescription' => 'Να επιτρέπεται στους πελάτες να αλλάξουν την έκδοση του Node.js',
  ],
];