<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Administre Node.js para este sitio web.',
      'enabled' => 'Versión de Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'modo: %%mode%%',
      'restartButton' => 'Reiniciar app',
      'version' => 'Versión de Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'La versión "%%version%%" de  Node.js ha sido desactivada.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js ha sido desactivado en el dominio "%%domain%%".',
      ],
      'enable' => [
        'success' => 'La versión "%%version%%" de Node.js ha sido activada.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js ha sido activado en el dominio "%%domain%%".',
      ],
      'setVersion' => [
        'success' => 'La versión de Node.js en el dominio "%%domain%%" se ha cambiado a la versión "%%version%%".',
      ],
      'versions' => [
        'empty' => 'No se ha encontrado ninguna versión de Node.js.',
        'enabled' => 'Activada',
        'path' => 'Ruta',
        'version' => 'Versión',
      ],
    ],
    'common' => [
      'commandNotFound' => 'No se ha encontrado el comando "%%command%%".',
      'disabledOnDomain' => 'El soporte de Node.js está desactivado en el dominio.',
      'domainDoesNotHaveHosting' => 'El dominio "%%domain%%" no tiene hosting físico.',
      'handlerNotFound' => 'No se ha encontrado la versión "%%version%%" de Node.js.',
      'noHandlerOnDomain' => 'Active al menos una versión de Node.js para el dominio.',
      'permissionDenied' => 'Permiso denegado',
      'versionIsEmpty' => 'No se ha especificado ninguna versión.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Desactive la versión de Node.js o bien desactive el soporte de Node.js en un dominio.',
      'enable' => 'Active la versión de Node.js o active el soporte de Node.js en un dominio.',
      'get-version' => 'Vea la versión de Node.js en un dominio.',
      'set-version' => 'Defina la versión de Node.js en un dominio.',
      'versions' => 'Vea la lista de versiones de Node.js.',
    ],
    'options' => [
      'domain' => 'Nombre de dominio (úselo con los comandos "enable", "disable" y "get-version").',
      'version' => 'Versión de Node.js (úselo con los comandos "enable", "disable" y "set-version").',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Cancelar',
      'ok' => 'ACEPTAR',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Añadir variable',
        'removeButton' => 'Eliminar',
        'variableName' => 'Variable',
        'variables' => 'Variables de entorno personalizadas',
        'variableValue' => 'Valor',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Dominios',
        'path' => 'Ruta',
        'refreshButton' => 'Actualizar',
        'refreshButtonDescription' => 'Actualice la lista de controladores de Node.js',
        'version' => 'Versión',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Parámetros y nombre del script',
      'optionsDescription' => 'Ejemplos:%%examples%%',
      'output' => 'Salida',
      'pleaseWait' => 'Rogamos espere',
      'run' => 'Ejecutar',
      'title' => 'Ejecutar Script',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Instalación de dependencias de aplicación.',
        'title' => 'Instalación de NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'El modo de aplicación "%%value%%" no es válido.',
        'success' => 'El modo de aplicación se ha actualizado correctamente.',
      ],
      'change-application-path' => [
        'failed' => 'La ruta %%path%% no es válida.',
        'success' => 'La ruta de aplicación se ha actualizado correctamente.',
      ],
      'change-application-startup-file' => [
        'failed' => 'El nombre de archivo %%file%% no es válido.',
        'success' => 'El archivo de inicio de la aplicación se ha actualizado correctamente.',
      ],
      'change-document-root' => [
        'failed' => 'No se ha podido cambiar la raíz de documentos: %%cause%%',
        'success' => 'La raíz de documentos se ha actualizado correctamente.',
      ],
      'change-version' => [
        'success' => 'La versión de Node.js se ha actualizado correctamente.',
      ],
      'disable' => [
        'success' => 'Node.js se ha desactivado en %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js se ha activado en %%domain%%.',
      ],
      'environment' => [
        'failed' => 'La representación json de la variable de entorno personal \'%%var%%\' no debería superar los 255 caracteres.',
        'success' => 'Las variables de entorno personalizadas han sido actualizadas.',
        'title' => 'Edición de las variables de entorno personalizadas',
      ],
      'index' => [
        'applicationMode' => 'Modo de aplicación',
        'applicationModePopupDescription' => 'Seleccione del modo de la aplicación Node.js:',
        'applicationModePopupTitle' => 'Modo de aplicación',
        'applicationPath' => 'Raíz de la aplicación',
        'applicationPathOpen' => 'abierto',
        'applicationPathPopupDescription' => 'Seleccione la raíz de la aplicación Node.js:',
        'applicationPathPopupTitle' => 'Raíz de la aplicación',
        'applicationStartupFile' => 'Archivo de inicio de la aplicación',
        'applicationStartupFileEdit' => 'editar',
        'applicationStartupFileNotExist' => 'El archivo no existe',
        'applicationStartupFilePopupDescription' => 'Cambie el archivo de inicio de la aplicación Node.js:',
        'applicationStartupFilePopupTitle' => 'Archivo de inicio de la aplicación',
        'applicationUrl' => 'URL de la aplicación',
        'configurationFilesDescription' => 'Haga clic en el nombre del archivo que desea editar:',
        'configurationFilesTitle' => 'Acceso a archivos de configuración',
        'disableButton' => 'Desactivar Node.js',
        'disableButtonDescription' => 'Desactive Node.js en este dominio.',
        'documentRoot' => 'Raíz del documento',
        'documentRootNotInApplicationRootWarning' => 'La aplicación no funcionará, puesto que la raíz de documentos no está en un nivel inferior a la raíz de aplicación',
        'documentRootPopupDescription' => 'Seleccione el directorio raíz del sitio web:',
        'documentRootPopupTitle' => 'Raíz del documento',
        'enableButton' => 'Activar Node.js',
        'enableButtonDescription' => 'Active Node.js en este dominio.',
        'environment' => 'Variables de entorno personalizadas',
        'environmentEdit' => 'especificar',
        'noStartupFileHint' => 'Node.js está activado en este dominio. De todos modos, no se ha encontrado el archivo de inicio %%file%%.',
        'npmInstallButton' => 'Instalación de NPM',
        'npmInstallButtonDescription' => 'Instale los paquetes detallados en el archivo \'package.json\'.',
        'pleaseWait' => 'Espere...',
        'restartButton' => 'Reiniciar app',
        'restartButtonDescription' => 'Reinicie su aplicación Node.js.',
        'rootDirectoryTitle' => 'Directorio raíz',
        'runScriptButton' => 'Ejecutar Script',
        'runScriptButtonDescription' => 'Ejecute el comando especificado en la sección \'Scripts\' del archivo \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js en %%name%%',
        'version' => 'Versión de Node.js',
        'versionPopupDescription' => 'Seleccione la versión de Node.js para esta aplicación:',
        'versionPopupTitle' => 'Versión de Node.js de esta aplicación',
      ],
      'npm-install' => [
        'success' => 'Los módulos del nodo se han instalado correctamente.',
      ],
      'restart' => [
        'success' => 'El archivo restart.txt ha sido modificado. La aplicación se reiniciará tras la primera petición.',
      ],
      'run-script' => [
        'title' => 'Ejecutar script NPM',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Administrador de Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Administración del estado de Node.js',
    'stateManagementDescription' => 'Permita a los clientes cambiar el estado de Node.js',
    'supportManagement' => 'Administración de soporte de Node.js',
    'supportManagementDescription' => 'Permita a los clientes utilizar Node.js',
    'versionManagement' => 'Administración de la versión de Node.js',
    'versionManagementDescription' => 'Permita a los clientes cambiar la versión de Node.js',
  ],
];