<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Gestisci Node.js per questo sito web.',
      'enabled' => 'Versione di Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'modalità: %%mode%%',
      'restartButton' => 'Riavvia app',
      'version' => 'Versione di Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'La versione di Node.js "%%version%%" è stata disabilitata.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js nel dominio &quot;%%domain%%&quot; è stato disabilitato.',
      ],
      'enable' => [
        'success' => 'La versione di Node.js "%%version%%" è stata abilitata.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js nel dominio &quot;%%domain%%&quot; è stato abilitato.',
      ],
      'setVersion' => [
        'success' => 'La versione di Node.js nel dominio &quot;%%domain%%&quot; è stata modificata in &quot;%%version%%&quot;.',
      ],
      'versions' => [
        'empty' => 'Impossibile trovare versioni di Node.js.',
        'enabled' => 'Abilitato',
        'path' => 'Percorso',
        'version' => 'Versione',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Comando "%%command%%" non trovato.',
      'disabledOnDomain' => 'Il supporto di Node.js nel dominio è disabilitato.',
      'domainDoesNotHaveHosting' => 'Il dominio "%%domain%%" non dispone di hosting fisico.',
      'handlerNotFound' => 'Impossibile trovare la versione di Node.js "%%version%%".',
      'noHandlerOnDomain' => 'È necessario abilitare almeno una versione di Node.js per il dominio.',
      'permissionDenied' => 'Permesso negato',
      'versionIsEmpty' => 'La versione è vuota.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Disabilita la versione o il supporto di Node.js in un dominio.',
      'enable' => 'Abilita la versione o il supporto di Node.js in un dominio.',
      'get-version' => 'Mostra la versione di Node.js in un dominio.',
      'set-version' => 'Imposta la versione di Node.js in un dominio.',
      'versions' => 'Visualizza la lista di versioni di Node.js.',
    ],
    'options' => [
      'domain' => 'Nome del dominio (utilizzare con i comandi &quot;enable&quot;, &quot;disable&quot; e &quot;get-version&quot;).',
      'version' => 'Versione di Node.js (utilizzare con i comandi &quot;enable&quot;, &quot;disable&quot; e &quot;set-version&quot;).',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Annulla',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Aggiungi variabile',
        'removeButton' => 'Rimuovi',
        'variableName' => 'Variabile',
        'variables' => 'Variabili di ambiente personalizzate',
        'variableValue' => 'Valore',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Domini',
        'path' => 'Percorso',
        'refreshButton' => 'Aggiorna',
        'refreshButtonDescription' => 'Aggiorna la lista di gestori di Node.js.',
        'version' => 'Versione',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Nome e parametri dello script',
      'optionsDescription' => 'Esempi: %%examples%%',
      'output' => 'Output',
      'pleaseWait' => 'Attendere, prego...',
      'run' => 'Esegui',
      'title' => 'Esegui lo script',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Installazione in corso delle dipendenze dell\'applicazione.',
        'title' => 'Installazione di NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'La modalità dell’applicazione &quot;%%value%%&quot; non è valida.',
        'success' => 'La modalità dell\'applicazione è stata aggiornata correttamente.',
      ],
      'change-application-path' => [
        'failed' => 'Il percorso %%path%% non è valido.',
        'success' => 'Il percorso dell\'applicazione è stato aggiornato correttamente.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Il nome file %%file%% non è valido.',
        'success' => 'Il file di avvio dell\'applicazione è stato aggiornato correttamente.',
      ],
      'change-document-root' => [
        'failed' => 'Impossibile modificare la directory principale dei documenti: %%cause%%',
        'success' => 'La directory principale dei documenti è stata aggiornata correttamente.',
      ],
      'change-version' => [
        'success' => 'La versione di Node.js è stata aggiornata correttamente.',
      ],
      'disable' => [
        'success' => 'Node.js è stato disabilitato in %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js è stato abilitato in %%domain%%.',
      ],
      'environment' => [
        'failed' => 'La rappresentazione json della variabile di ambiente personale \'%%var%%\' non deve superare 255 caratteri.',
        'success' => 'Le variabili di ambiente personalizzate sono state aggiornate.',
        'title' => 'Modifica variabili di ambiente personalizzate',
      ],
      'index' => [
        'applicationMode' => 'Modalità applicazione',
        'applicationModePopupDescription' => 'Seleziona la modalità dell\'applicazione Node.js:',
        'applicationModePopupTitle' => 'Modalità applicazione',
        'applicationPath' => 'Directory principale applicazione',
        'applicationPathOpen' => 'apri',
        'applicationPathPopupDescription' => 'Seleziona la directory principale dell\'applicazione Node.js:',
        'applicationPathPopupTitle' => 'Directory principale applicazione',
        'applicationStartupFile' => 'File di avvio applicazione',
        'applicationStartupFileEdit' => 'modifica',
        'applicationStartupFileNotExist' => 'File non esistente',
        'applicationStartupFilePopupDescription' => 'Modifica il file di avvio dell\'applicazione Node.js:',
        'applicationStartupFilePopupTitle' => 'File di avvio applicazione',
        'applicationUrl' => 'URL di Applicazione',
        'configurationFilesDescription' => 'Clicca su un nome file per modificarlo:',
        'configurationFilesTitle' => 'Accedere ai file di configurazione',
        'disableButton' => 'Disabilita Node.js',
        'disableButtonDescription' => 'Disabilita Node.js in questo dominio.',
        'documentRoot' => 'Root del documento',
        'documentRootNotInApplicationRootWarning' => 'L’applicazione non funziona poiché la directory principale dei documenti non è un elemento secondario della directory principale dell’applicazione',
        'documentRootPopupDescription' => 'Seleziona la directory principale del sito web:',
        'documentRootPopupTitle' => 'Root del documento',
        'enableButton' => 'Abilita Node.js',
        'enableButtonDescription' => 'Abilita Node.js in questo dominio.',
        'environment' => 'Variabili di ambiente personalizzate',
        'environmentEdit' => 'specifica',
        'noStartupFileHint' => 'Node.js è abilitato in questo dominio. Ma non è possibile trovare il file di avvio %%file%%.',
        'npmInstallButton' => 'Installazione di NPM',
        'npmInstallButtonDescription' => 'Installa i pacchetti elencati nel file \'package.json\'.',
        'pleaseWait' => 'Attendere, prego...',
        'restartButton' => 'Riavvia app',
        'restartButtonDescription' => 'Riavvia l\'applicazione Node.js.',
        'rootDirectoryTitle' => 'Directory Root',
        'runScriptButton' => 'Esegui lo script',
        'runScriptButtonDescription' => 'Esegui un comando specificato nella sezione \'Script\' del file \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js in %%name%%',
        'version' => 'Versione di Node.js',
        'versionPopupDescription' => 'Seleziona la versione di Node.js per questa applicazione:',
        'versionPopupTitle' => 'Versione di Node.js di questa applicazione',
      ],
      'npm-install' => [
        'success' => 'I moduli del nodo sono stati installati correttamente.',
      ],
      'restart' => [
        'success' => 'Il file restart.txt è stato modificato. L\'applicazione verrà riavviata dopo la prima richiesta.',
      ],
      'run-script' => [
        'title' => 'Esegui script NPM',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Gestione Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Gestione dello stato di Node.js',
    'stateManagementDescription' => 'Consenti ai clienti di modificare lo stato di Node.js',
    'supportManagement' => 'Gestione del supporto di Node.js',
    'supportManagementDescription' => 'Consenti ai clienti di utilizzare Node.js',
    'versionManagement' => 'Gestione della versione di Node.js',
    'versionManagementDescription' => 'Consenti ai clienti di modificare la versione di Node.js',
  ],
];