<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'このウェブサイトの Node.js を管理します。',
      'enabled' => 'Node.js バージョン：%%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'モード：%%mode%%',
      'restartButton' => 'アプリを再起動',
      'version' => 'Node.js バージョン：%%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Node.js バージョン "%%version%%" が無効化されました。',
      ],
      'disableOnDomain' => [
        'success' => 'ドメイン "%%domain%%" で Node.js が無効化されました。',
      ],
      'enable' => [
        'success' => 'Node.js バージョン "%%version%%" が有効化されました。',
      ],
      'enableOnDomain' => [
        'success' => 'ドメイン "%%domain%%" で Node.js が有効化されました。',
      ],
      'setVersion' => [
        'success' => 'ドメイン "%%domain%%" で Node.js バージョンが "%%version%%" に変更されました。',
      ],
      'versions' => [
        'empty' => 'Node.js のバージョンが見つかりません。',
        'enabled' => '有効',
        'path' => 'パス',
        'version' => 'バージョン',
      ],
    ],
    'common' => [
      'commandNotFound' => 'コマンド "%%command%%" が見つかりません。',
      'disabledOnDomain' => 'ドメインで Node.js のサポートが無効になっています。',
      'domainDoesNotHaveHosting' => 'ドメイン "%%domain%%" に物理ホスティングがありません。',
      'handlerNotFound' => 'Node.js のバージョン "%%version%%" が見つかりませんでした。',
      'noHandlerOnDomain' => 'ドメインに対して Node.js のバージョンが 1 つ以上有効になっている必要があります。',
      'permissionDenied' => 'パーミッションが拒否されました',
      'versionIsEmpty' => 'バージョンが空です。',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Node.js バージョンを無効化するか、ドメインでの Node.js のサポートを無効化してください。',
      'enable' => 'Node.js バージョンを有効化するか、ドメインでの Node.js のサポートを有効化してください。',
      'get-version' => 'ドメインの Node.js バージョンを表示します。',
      'set-version' => 'ドメインの Node.js バージョンを設定します。',
      'versions' => 'Node.js バージョンのリストを表示します。',
    ],
    'options' => [
      'domain' => 'ドメイン名（"enable"、"disable"、"get-version" コマンドで使用）。',
      'version' => 'Node.js バージョン（"enable"、"disable"、"set-version" コマンドで使用）。',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'キャンセル',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => '変数を追加',
        'removeButton' => '削除',
        'variableName' => '変数',
        'variables' => 'カスタム環境変数',
        'variableValue' => '値',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'ドメイン',
        'path' => 'パス',
        'refreshButton' => '更新',
        'refreshButtonDescription' => 'Node.js ハンドラのリストを更新',
        'version' => 'バージョン',
      ],
    ],
    'run-script-popup' => [
      'options' => 'スクリプト名とパラメータ',
      'optionsDescription' => '例：%%examples%%',
      'output' => '出力',
      'pleaseWait' => 'お待ちください',
      'run' => '実行',
      'title' => 'スクリプトを実行',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'アプリケーションの依存関係をインストールします。',
        'title' => 'NPM インストール',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'アプリケーションモード "%%value%%" が無効です。',
        'success' => 'アプリケーションモードが正常に更新されました。',
      ],
      'change-application-path' => [
        'failed' => 'パス %%path%% が無効です。',
        'success' => 'アプリケーションパスが正常に更新されました。',
      ],
      'change-application-startup-file' => [
        'failed' => 'ファイル名 %%file%% が無効です。',
        'success' => 'アプリケーション起動ファイルが正常に更新されました。',
      ],
      'change-document-root' => [
        'failed' => 'ドキュメントルートを変更できません：%%cause%%',
        'success' => 'ドキュメントルートが正常に更新されました。',
      ],
      'change-version' => [
        'success' => 'Node.js バージョンが正常に更新されました。',
      ],
      'disable' => [
        'success' => 'Node.js が %%domain%% で無効化されました。',
      ],
      'enable' => [
        'success' => 'Node.js が %%domain%% で有効化されました。',
      ],
      'environment' => [
        'failed' => '個人環境変数 %%var%% の json-representation は 255 文字以内にしてください。',
        'success' => 'カスタム環境変数が更新されました。',
        'title' => 'カスタム環境変数を編集',
      ],
      'index' => [
        'applicationMode' => 'アプリケーションモード',
        'applicationModePopupDescription' => 'Node.js アプリケーションのモードを選択：',
        'applicationModePopupTitle' => 'アプリケーションモード',
        'applicationPath' => 'アプリケーションルート',
        'applicationPathOpen' => '開く',
        'applicationPathPopupDescription' => 'Node.js アプリケーションのルートを選択：',
        'applicationPathPopupTitle' => 'アプリケーションルート',
        'applicationStartupFile' => 'アプリケーション起動ファイル',
        'applicationStartupFileEdit' => '編集',
        'applicationStartupFileNotExist' => 'ファイルが存在しません',
        'applicationStartupFilePopupDescription' => 'Node.js アプリケーションの起動ファイルを変更：',
        'applicationStartupFilePopupTitle' => 'アプリケーション起動ファイル',
        'applicationUrl' => 'アプリケーション URL',
        'configurationFilesDescription' => '編集するファイル名をクリック：',
        'configurationFilesTitle' => '構成ファイルへのアクセス',
        'disableButton' => 'Node.js を無効化',
        'disableButtonDescription' => 'このドメインで Node.js を無効化します。',
        'documentRoot' => 'ドキュメントルート',
        'documentRootNotInApplicationRootWarning' => 'アプリケーションは機能しません。ドキュメントルートがアプリケーションルートのサブチャイルドではありません。',
        'documentRootPopupDescription' => 'ウェブサイトのルートディレクトリを選択してください：',
        'documentRootPopupTitle' => 'ドキュメントルート',
        'enableButton' => 'Node.js を有効化',
        'enableButtonDescription' => 'このドメインで Node.js を有効化します。',
        'environment' => 'カスタム環境変数',
        'environmentEdit' => '指定',
        'noStartupFileHint' => 'このドメインでは Node.js が有効ですが、起動ファイル %%file%% が見つかりません。',
        'npmInstallButton' => 'NPM インストール',
        'npmInstallButtonDescription' => '\'package.json\' ファイルにリストされているパッケージをインストールします。',
        'pleaseWait' => 'お待ちください...',
        'restartButton' => 'アプリを再起動',
        'restartButtonDescription' => 'Node.js アプリケーションを再起動します。',
        'rootDirectoryTitle' => 'ルートディレクトリ',
        'runScriptButton' => 'スクリプトを実行',
        'runScriptButtonDescription' => '\'package.json\' ファイルの \'Scripts\' セクションに指定されているコマンドを実行します。',
        'title' => 'Node.js',
        'titleForObject' => '%%name%% の Node.js',
        'version' => 'Node.js バージョン',
        'versionPopupDescription' => 'このアプリケーション用に Node.js のバージョンを選択：',
        'versionPopupTitle' => 'このアプリケーションの Node.js バージョン',
      ],
      'npm-install' => [
        'success' => 'ノードモジュールが正常にインストールされました。',
      ],
      'restart' => [
        'success' => 'restart.txt ファイルがタッチされました。アプリケーションは最初のリクエスト後に再起動されます。',
      ],
      'run-script' => [
        'title' => 'NPM スクリプトを実行',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Node.js マネージャ',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Node.js 状態管理',
    'stateManagementDescription' => '顧客に対し、Node.js の状態の変更を許可する',
    'supportManagement' => 'Node.js サポート管理',
    'supportManagementDescription' => '顧客に対し、Node.js の使用を許可する',
    'versionManagement' => 'Node.js バージョン管理',
    'versionManagementDescription' => '顧客に対し、Node.js バージョンの変更を許可する',
  ],
];