<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Administrer Node.js for dette nettstedet.',
      'enabled' => 'Node.js versjon: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'modus: %%mode%%',
      'restartButton' => 'Start app på nytt',
      'version' => 'Node.js versjon: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Node.js -versjon "%%version%%" ble deaktivert.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js på domenet &quot;%%domain%%&quot; ble deaktivert.',
      ],
      'enable' => [
        'success' => 'Node.js -versjon "%%version%%" ble aktivert.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js på domenet &quot;%%domain%%&quot; ble aktivert.',
      ],
      'setVersion' => [
        'success' => 'Versjonen av Node.js på domenet &quot;%%domain%%&quot; ble endret til &quot;%%version%%&quot;.',
      ],
      'versions' => [
        'empty' => 'Ingen versjon av Node.js ble funnet.',
        'enabled' => 'Aktivert',
        'path' => 'Bane',
        'version' => 'Versjon',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Kommandoen "%%command%%" ble ikke funnet.',
      'disabledOnDomain' => 'Støtte for Node.js er slått av på domenet.',
      'domainDoesNotHaveHosting' => 'Domenet "%%domain%%" har ikke fysisk hosting.',
      'handlerNotFound' => 'Node.js-versjonen "%%version%%" ble ikke funnet.',
      'noHandlerOnDomain' => 'Minst en Node.js-versjon bør være aktivert på domenet.',
      'permissionDenied' => 'Adgang nektes',
      'versionIsEmpty' => 'Versjonen er tom.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Deaktiver Node.js-versjon, eller deaktiver Node.js-støtte på et domenet.',
      'enable' => 'Aktiver Node.js-versjon, eller aktiver Node.js-støtte på et domene.',
      'get-version' => 'Vis Node.js-versjon på et domene.',
      'set-version' => 'Velg Node.js-versjon på et domene.',
      'versions' => 'Vis listen over Node.js-versjoner.',
    ],
    'options' => [
      'domain' => 'Domenenavn (bruk med kommandoene &quot;enable&quot;, &quot;disable&quot; og &quot;get-version&quot;).',
      'version' => 'Node.js-versjon (bruk med kommandoene &quot;enable&quot;, &quot;disable&quot; og &quot;set-version&quot;).',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Avbryt',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Legg til variabel',
        'removeButton' => 'Fjern',
        'variableName' => 'Variabel',
        'variables' => 'Brukerdefinerte miljøvariabler',
        'variableValue' => 'Verdi',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Domener',
        'path' => 'Bane',
        'refreshButton' => 'Oppdater',
        'refreshButtonDescription' => 'Oppdater listen over Node.js-behandlingsprogrammer',
        'version' => 'Versjon',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Skriptnavn og parametere',
      'optionsDescription' => 'Eksempler: %%examples%%',
      'output' => 'Utdata',
      'pleaseWait' => 'Vent litt',
      'run' => 'Kjør',
      'title' => 'Kjør skript',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Installerer applikasjonsavhengigheter.',
        'title' => 'NPM-installasjon',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Applikasjonsmodus &quot;%%value%%&quot; er ugyldig.',
        'success' => 'Applikasjonsmodus ble oppdatert.',
      ],
      'change-application-path' => [
        'failed' => 'Banen %%path%% er ugyldig.',
        'success' => 'Applikasjonsstien ble oppdatert.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Filnavnet %%file%% er ugyldig.',
        'success' => 'Programmets oppstartfil ble oppdatert.',
      ],
      'change-document-root' => [
        'failed' => 'Kunne ikke endre dokumentroten: %%cause%%',
        'success' => 'Dokumentroten ble oppdatert.',
      ],
      'change-version' => [
        'success' => 'Node.js-versjonen ble oppdatert.',
      ],
      'disable' => [
        'success' => 'Node.js ble deaktivert på %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js ble aktivert på %%domain%%.',
      ],
      'environment' => [
        'failed' => 'Json-representasjon av den personlig miljøvariabel \'%%var%%\' må ikke overskride 255 tegn.',
        'success' => 'Brukerdefinerte miljøvariabler ble oppdatert.',
        'title' => 'Rediger brukerdefinerte miljøvariabler',
      ],
      'index' => [
        'applicationMode' => 'Programmodus',
        'applicationModePopupDescription' => 'Velg modus for Node.js-applikasjon:',
        'applicationModePopupTitle' => 'Programmodus',
        'applicationPath' => 'Programrot',
        'applicationPathOpen' => 'åpne',
        'applicationPathPopupDescription' => 'Velg roten for Node.js-applikasjon:',
        'applicationPathPopupTitle' => 'Programrot',
        'applicationStartupFile' => 'Oppstartsfil for applikasjon',
        'applicationStartupFileEdit' => 'rediger',
        'applicationStartupFileNotExist' => 'Filen finnes ikke',
        'applicationStartupFilePopupDescription' => 'Endre oppstartsfilen for Node.js-applikasjonen:',
        'applicationStartupFilePopupTitle' => 'Oppstartsfil for applikasjon',
        'applicationUrl' => 'Applikasjon-URL',
        'configurationFilesDescription' => 'Klikk på filnavnet som skal redigeres:',
        'configurationFilesTitle' => 'Tilgang til konfigurasjonsfiler',
        'disableButton' => 'Deaktiver Node.js',
        'disableButtonDescription' => 'Deaktiver Node.js på dette domenet.',
        'documentRoot' => 'Dokumentrot',
        'documentRootNotInApplicationRootWarning' => 'Applikasjonen virker ikke siden dokumentroten ikke er underordnet applikasjonsroten',
        'documentRootPopupDescription' => 'Velg rotkatalogen for nettstedet:',
        'documentRootPopupTitle' => 'Dokumentrot',
        'enableButton' => 'Aktiver Node.js',
        'enableButtonDescription' => 'Aktiver Node.js på dette domenet.',
        'environment' => 'Brukerdefinerte miljøvariabler',
        'environmentEdit' => 'angi',
        'noStartupFileHint' => 'Node.js er aktivert på dette domenet. Men oppstartsfilen %%file%% ble ikke funnet.',
        'npmInstallButton' => 'NPM-installasjon',
        'npmInstallButtonDescription' => 'Installer pakken(e) som er listet i filen \'package.json\'.',
        'pleaseWait' => 'Vent litt...',
        'restartButton' => 'Start app på nytt',
        'restartButtonDescription' => 'Start din Node.js-applikasjon på nytt.',
        'rootDirectoryTitle' => 'Rotkatalog',
        'runScriptButton' => 'Kjør skript',
        'runScriptButtonDescription' => 'Kjør en kommando som er spesifisert i \'Script\'-delen av filen \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js på %%name%%',
        'version' => 'Node.ja-versjon',
        'versionPopupDescription' => 'Velg Node.js-versjon for denne applikasjonen:',
        'versionPopupTitle' => 'Node.js-versjon for denne applikasjonen',
      ],
      'npm-install' => [
        'success' => 'Node-moduler ble installert.',
      ],
      'restart' => [
        'success' => 'Filen restart.txt ble berørt. Applikasjonen vil bli startet på nytt etter den første forespørselen.',
      ],
      'run-script' => [
        'title' => 'Kjør NPM-skript',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Administrator for Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Statusbehandling for Node.js',
    'stateManagementDescription' => 'La kunder endre status for Node.js',
    'supportManagement' => 'Administrasjon av Node.js-støtte',
    'supportManagementDescription' => 'Lar kunder bruke Node.js',
    'versionManagement' => 'Versjonsbehandling for Node.js',
    'versionManagementDescription' => 'La kunder endre versjon for Node.js',
  ],
];