<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Gerenciar Node.js para este site.',
      'enabled' => 'Versão Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'modo: %%mode%%',
      'restartButton' => 'Reiniciar aplicativo',
      'version' => 'Versão Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'A versão Node.js "%%version%%" foi desativada.',
      ],
      'disableOnDomain' => [
        'success' => 'O Node.js no domínio &quot;%%domain%%&quot; foi desabilitado.',
      ],
      'enable' => [
        'success' => 'A versão Node.js "%%version%%" foi ativada.',
      ],
      'enableOnDomain' => [
        'success' => 'O Node.js no domínio &quot;%%domain%%&quot; foi habilitado.',
      ],
      'setVersion' => [
        'success' => 'A versão Node.js no domínio &quot;%%domain%%&quot; foi alterada para &quot;%%version%%&quot;.',
      ],
      'versions' => [
        'empty' => 'Nenhum versão Node.js foi encontrada.',
        'enabled' => 'Habilitado',
        'path' => 'Caminho',
        'version' => 'Versão',
      ],
    ],
    'common' => [
      'commandNotFound' => 'O comando "%%command%%" não foi encontrado.',
      'disabledOnDomain' => 'O suporte Node.js está desabilitado no domínio.',
      'domainDoesNotHaveHosting' => 'O domínio "%%domain%%" não tem hospedagem física.',
      'handlerNotFound' => 'A versão Node.js "%%version%%" não foi encontrada.',
      'noHandlerOnDomain' => 'Pelo menos uma versão Node.js deve ser habilitada para o domínio.',
      'permissionDenied' => 'Permissão negada',
      'versionIsEmpty' => 'A versão está vazia.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Desabilitar a versão Node.js ou desabilitar o suporte Node.js em um domínio.',
      'enable' => 'Habilitar a versão Node.js ou habilitar o suporte Node.js em um domínio.',
      'get-version' => 'Mostrar a versão Node.js em um domínio.',
      'set-version' => 'Configurar a versão Node.js em um domínio.',
      'versions' => 'Exibir a lista de versões Node.js.',
    ],
    'options' => [
      'domain' => 'Nome do domínio (utilize com os comandos &quot;habilitar&quot;, &quot;desabilitar&quot; e &quot;obter versão&quot;).',
      'version' => 'A versão Node.js (utilize com os comandos &quot;habilitar&quot;, &quot;desabilitar&quot; e &quot;configurar versão&quot;).',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Cancelar',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Adicionar variável',
        'removeButton' => 'Remover',
        'variableName' => 'Variável',
        'variables' => 'Variáveis personalizadas do ambiente',
        'variableValue' => 'Valor',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Domínios',
        'path' => 'Caminho',
        'refreshButton' => 'Atualizar',
        'refreshButtonDescription' => 'Atualizar a lista de controladores Node.js.',
        'version' => 'Versão',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Nomes e parâmetros de script',
      'optionsDescription' => 'Exemplos:%%examples%%',
      'output' => 'Saída',
      'pleaseWait' => 'Aguarde',
      'run' => 'Executar',
      'title' => 'Executar script',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Instalando as dependências do aplicativo.',
        'title' => 'NPM instalado',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'O modo do aplicativo &quot;%%value%%&quot; é inválido.',
        'success' => 'O modo aplicativo foi atualizado com sucesso.',
      ],
      'change-application-path' => [
        'failed' => 'O caminho  %%path%% é inválido.',
        'success' => 'O caminho do aplicativo foi atualizado com sucesso.',
      ],
      'change-application-startup-file' => [
        'failed' => 'O nome do arquivo %%file%% é inválido.',
        'success' => 'A inicialização do aplicativo foi atualizada com sucesso.',
      ],
      'change-document-root' => [
        'failed' => 'Não é possível alterar a raiz do documento: %%cause%%',
        'success' => 'A raiz do documento foi atualizada com sucesso.',
      ],
      'change-version' => [
        'success' => 'A versão do Node.js foi atualizada com sucesso.',
      ],
      'disable' => [
        'success' => 'Node.js foi desativado no %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js foi ativado no %%domain%%.',
      ],
      'environment' => [
        'failed' => 'A representação json de uma variável do ambiente pessoal \'%%var%%\' não deve exceder 255 caracteres.',
        'success' => 'As variáveis personalizadas do ambiente foram atualizadas.',
        'title' => 'Editar variáveis personalizadas de ambiente.',
      ],
      'index' => [
        'applicationMode' => 'Modo aplicativo',
        'applicationModePopupDescription' => 'Selecione o modo do aplicativo Node.js:',
        'applicationModePopupTitle' => 'Modo aplicativo',
        'applicationPath' => 'Raiz do aplicativo',
        'applicationPathOpen' => 'abrir',
        'applicationPathPopupDescription' => 'Selecione a raiz do aplicativo Node.js:',
        'applicationPathPopupTitle' => 'Raiz do aplicativo',
        'applicationStartupFile' => 'Arquivo de inicialização do aplicativo',
        'applicationStartupFileEdit' => 'editar',
        'applicationStartupFileNotExist' => 'O arquivo não existe.',
        'applicationStartupFilePopupDescription' => 'Altere o arquivo de inicialização do aplicativo Node.js:',
        'applicationStartupFilePopupTitle' => 'Arquivo de inicialização do aplicativo',
        'applicationUrl' => 'URL do aplicativo',
        'configurationFilesDescription' => 'Clique em um nome de arquivo para editar:',
        'configurationFilesTitle' => 'Acessar para configurar arquivos',
        'disableButton' => 'Desabilitar Node.js',
        'disableButtonDescription' => 'Desabilitar Node.js neste domínio.',
        'documentRoot' => 'Raiz do Documento',
        'documentRootNotInApplicationRootWarning' => 'O aplicativo não funcionará, pois a raiz do documento não é subfilha da raiz do aplicativo',
        'documentRootPopupDescription' => 'Selecione o diretório de raiz do website:',
        'documentRootPopupTitle' => 'Raiz do Documento',
        'enableButton' => 'Habilitar Node.js',
        'enableButtonDescription' => 'Habilitar Node.js neste domínio.',
        'environment' => 'Variáveis personalizadas do ambiente',
        'environmentEdit' => 'especificar',
        'noStartupFileHint' => 'O Node.js foi ativado neste domínio. Mas o arquivo de inicialização %%file%% não foi encontrado.',
        'npmInstallButton' => 'NPM instalado',
        'npmInstallButtonDescription' => 'Instale os pacotes listados no arquivo \'package.json\'.',
        'pleaseWait' => 'Aguarde...',
        'restartButton' => 'Reiniciar app',
        'restartButtonDescription' => 'Reinicie o aplicativo Node.js',
        'rootDirectoryTitle' => 'Diretório raiz',
        'runScriptButton' => 'Executar script',
        'runScriptButtonDescription' => 'Executar um comando especificado na seção \'Scripts\' do arquivo package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js em %%name%%',
        'version' => 'Versão Node.js:',
        'versionPopupDescription' => 'Selecionar versão do Node.js para este aplicativo:',
        'versionPopupTitle' => 'Versão Node.js deste aplicativo',
      ],
      'npm-install' => [
        'success' => 'Módulos de nó foram instalados com sucesso.',
      ],
      'restart' => [
        'success' => 'O arquivo restart.txt foi alterado. O aplicativo será reiniciado depois do primeiro pedido.',
      ],
      'run-script' => [
        'title' => 'Executar NPM script',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Gerenciador Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Gerenciamento do estado Node.js',
    'stateManagementDescription' => 'Permite que os clientes mudem o estado Node.js',
    'supportManagement' => 'Gerenciamento de apoio Node.js.',
    'supportManagementDescription' => 'Permite que os clientes usem o Node.js.',
    'versionManagement' => 'Gerenciamento da versão Node.js.',
    'versionManagementDescription' => 'Permite que os clientes mudem a versão Node.js.',
  ],
];