<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Gerir Node.js para este site.',
      'enabled' => 'Versão Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'modo: %%mode%%',
      'restartButton' => 'Reiniciar aplicação',
      'version' => 'Versão Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'A versão Node.js "%%version%%" foi desativada.',
      ],
      'disableOnDomain' => [
        'success' => 'O Node.js no domínio "%%domain%%" foi desativado.',
      ],
      'enable' => [
        'success' => 'A versão Node.js "%%version%%" foi ativada.',
      ],
      'enableOnDomain' => [
        'success' => 'O Node.js no domínio "%%domain%%" foi ativado.',
      ],
      'setVersion' => [
        'success' => 'A versão Node.js no domínio "%%domain%%" foi alterada para "%%version%%".',
      ],
      'versions' => [
        'empty' => 'Não existem versões de Node.js encontradas.',
        'enabled' => 'Ativado',
        'path' => 'Caminho',
        'version' => 'Versão',
      ],
    ],
    'common' => [
      'commandNotFound' => 'O comando "%%command%%" não foi encontrado.',
      'disabledOnDomain' => 'O suporte Node.js é desativado no domínio.',
      'domainDoesNotHaveHosting' => 'O domínio "%%domain%%" não tem um alojamento físico.',
      'handlerNotFound' => 'A versão Node.js "%%version%%" não foi encontrada.',
      'noHandlerOnDomain' => 'Pelo menos uma versão Node.js deve ser ativada para o domínio.',
      'permissionDenied' => 'Permissão negada',
      'versionIsEmpty' => 'A versão está vazia.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Desativar a versão Node.js ou desativar o suporte a Node.js no domínio.',
      'enable' => 'Ativar a versão Node.js ou ativar o suporte a Node.js no domínio.',
      'get-version' => 'Apresentar versão Node.js no domínio.',
      'set-version' => 'Definir a versão Node.js no domínio.',
      'versions' => 'Apresenta a lista de versões Node.js.',
    ],
    'options' => [
      'domain' => 'Nome de domínio (utilizar com os comandos "ativar", "desativar" e "obter versão").',
      'version' => 'Versão de Node.js (utilizar com os comandos "ativar", "desativar" e "definir versão").',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Cancelar',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Adicionar variável',
        'removeButton' => 'Remover',
        'variableName' => 'Variável',
        'variables' => 'Personalizar variáveis de ambiente',
        'variableValue' => 'Valor',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Domínios',
        'path' => 'Caminho',
        'refreshButton' => 'Atualizar',
        'refreshButtonDescription' => 'Atualizar a lista de manipuladores Node.js.',
        'version' => 'Versão',
      ],
    ],
    'run-script-popup' => [
      'options' => 'nome e parâmetros do guião',
      'optionsDescription' => 'Exemplos:%%examples%%',
      'output' => 'Saída',
      'pleaseWait' => 'Por favor, espere',
      'run' => 'Executar',
      'title' => 'Script executado',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'A instalar as dependências da aplicação.',
        'title' => 'Instalar NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'O modo de aplicação "%%value%%" é inválido.',
        'success' => 'O modo de aplicação foi atualizado com sucesso.',
      ],
      'change-application-path' => [
        'failed' => 'O caminho %%path%% é inválido.',
        'success' => 'O caminho de aplicação foi atualizado com sucesso.',
      ],
      'change-application-startup-file' => [
        'failed' => 'O nome do ficheiro %%file%% é inválido.',
        'success' => 'O ficheiro inicial de aplicação foi atualizado com sucesso.',
      ],
      'change-document-root' => [
        'failed' => 'Impossível alterar a raiz do documento: %%cause%%',
        'success' => 'A raiz do documento foi atualizada com sucesso.',
      ],
      'change-version' => [
        'success' => 'A versão do Node.js foi atualizada com sucesso.',
      ],
      'disable' => [
        'success' => 'Node.js foi desativado em %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js foi ativado em %%domain%%.',
      ],
      'environment' => [
        'failed' => 'A representação json da variável de ambiente pessoal \'%%var%%\' não deve exceder 255 caracteres.',
        'success' => 'As variáveis de ambiente personalizadas foram atualizadas.',
        'title' => 'Editar as variáveis de ambiente personalizadas',
      ],
      'index' => [
        'applicationMode' => 'Modo de aplicação',
        'applicationModePopupDescription' => 'Selecionar o modo de aplicação Node.js:',
        'applicationModePopupTitle' => 'Modo de aplicação',
        'applicationPath' => 'Raiz de aplicação',
        'applicationPathOpen' => 'aberto',
        'applicationPathPopupDescription' => 'Selecionar a raiz da aplicação Node.js:',
        'applicationPathPopupTitle' => 'Raiz de aplicação',
        'applicationStartupFile' => 'Ficheiro de inicialização da aplicação',
        'applicationStartupFileEdit' => 'editar',
        'applicationStartupFileNotExist' => 'O ficheiro não existe',
        'applicationStartupFilePopupDescription' => 'Alterar o ficheiro de inicialização da aplicação Node.js:',
        'applicationStartupFilePopupTitle' => 'Ficheiro de inicialização da aplicação',
        'applicationUrl' => 'URL da aplicação',
        'configurationFilesDescription' => 'Clique num nome de ficheiro para edição:',
        'configurationFilesTitle' => 'Aceder aos ficheiros de configuração',
        'disableButton' => 'Desativar Node.js',
        'disableButtonDescription' => 'Desativar Node.js neste domínio.',
        'documentRoot' => 'Raiz de documento',
        'documentRootNotInApplicationRootWarning' => 'Aplicação não funcionará porque a raiz do documento não é subordinado da aplicação de raiz',
        'documentRootPopupDescription' => 'Selecione o diretório raiz do site:',
        'documentRootPopupTitle' => 'Raiz de documento',
        'enableButton' => 'Ativar Node.js',
        'enableButtonDescription' => 'Ativar Node.js neste domínio.',
        'environment' => 'Personalizar variáveis de ambiente',
        'environmentEdit' => 'definir',
        'noStartupFileHint' => 'Node.js está ativado neste domínio. Mas o ficheiro de inicialização %%file%% não foi encontrado.',
        'npmInstallButton' => 'Instalar NPM',
        'npmInstallButtonDescription' => 'Instalar o(s) pacote(s) listado(s) no ficheiro \'package.json\'.',
        'pleaseWait' => 'Por favor, espere...',
        'restartButton' => 'Reiniciar aplicação',
        'restartButtonDescription' => 'Reiniciar a aplicação Node.js.',
        'rootDirectoryTitle' => 'Diretório inicial',
        'runScriptButton' => 'Script executado',
        'runScriptButtonDescription' => 'Executar um comando especificado na seção \'Scripts\' do ficheiro \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js em %%name%%',
        'version' => 'Versão Node.js',
        'versionPopupDescription' => 'Selecione a versão do Node.js para esta aplicação:',
        'versionPopupTitle' => 'Versão Node.js desta aplicação',
      ],
      'npm-install' => [
        'success' => 'Os módulos do nó foram instalados com êxito.',
      ],
      'restart' => [
        'success' => 'O ficheiro restart.txt foi tocado. A aplicação será reiniciada após a primeira solicitação.',
      ],
      'run-script' => [
        'title' => 'Executar script NPM',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Gestor Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Gestor de estado de Node.js',
    'stateManagementDescription' => 'Permitir que os clientes alterem o estado de Node.js',
    'supportManagement' => 'Gestor de suporte Node.js',
    'supportManagementDescription' => 'Permitir aos clientes utilizar Node.js',
    'versionManagement' => 'Gestor de versão Node.js',
    'versionManagementDescription' => 'Permitir que os clientes alterem a versão de Node.js',
  ],
];