<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Управлять Node.js для этого сайта.',
      'enabled' => 'Версия Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'режим: %%mode%%',
      'restartButton' => 'Перезапустить приложение',
      'version' => 'Версия Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Версия Node.js "%%version%%" отключена.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js на домене "%%domain%%" отключен.',
      ],
      'enable' => [
        'success' => 'Версия Node.js "%%version%%" включена.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js на домене "%%domain%%" включен.',
      ],
      'setVersion' => [
        'success' => 'Версия Node.js на домене "%%domain%%" была заменена на версию "%%version%%".',
      ],
      'versions' => [
        'empty' => 'Не найдено ни одной версии Node.js.',
        'enabled' => 'Включено',
        'path' => 'Путь',
        'version' => 'Версия',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Не найдена команда "%%command%%".',
      'disabledOnDomain' => 'Поддержка Node.js отключена на домене.',
      'domainDoesNotHaveHosting' => 'У домена "%%domain%%" нет физического хостинга.',
      'handlerNotFound' => 'Версия Node.js "%%version%%" не найдена.',
      'noHandlerOnDomain' => 'Нужно включить хотя бы одну версию Node.js для домена.',
      'permissionDenied' => 'Доступ запрещен',
      'versionIsEmpty' => 'Версия пуста.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Отключить версию Node.js или отключить поддержку Node.js на домене.',
      'enable' => 'Включить версию Node.js или включить поддержку Node.js на домене.',
      'get-version' => 'Показать версию Node.js на домене.',
      'set-version' => 'Настроить версию Node.js на домене.',
      'versions' => 'Показать список версий Node.js.',
    ],
    'options' => [
      'domain' => 'Имя домена (использовать с командами "enable", "disable" и "get-version").',
      'version' => 'Версия Node.js (использовать с командами "enable", "disable" и "set-version").',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Отмена',
      'ok' => 'ОК',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Добавить переменную',
        'removeButton' => 'Удалить',
        'variableName' => 'Переменная',
        'variables' => 'Персональные переменные среды',
        'variableValue' => 'Значение',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Домены',
        'path' => 'Путь',
        'refreshButton' => 'Обновить',
        'refreshButtonDescription' => 'Обновить список обработчиков Node.js',
        'version' => 'Версия',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Имя скрипта и параметры',
      'optionsDescription' => 'Примеры:%%examples%%',
      'output' => 'Вывод',
      'pleaseWait' => 'Пожалуйста, подождите',
      'run' => 'Запустить',
      'title' => 'Запустить скрипт',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Установка зависимостей приложения.',
        'title' => 'Установка NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Недействительный режим приложения "%%value%%".',
        'success' => 'Режим приложения был успешно обновлен.',
      ],
      'change-application-path' => [
        'failed' => 'Недействительный путь %%path%%.',
        'success' => 'Путь к приложению был успешно обновлен.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Недействительное имя файла %%file%%.',
        'success' => 'Файл запуска приложения был успешно обновлен.',
      ],
      'change-document-root' => [
        'failed' => 'Не удалось изменить корневую папку домена: %%cause%%',
        'success' => 'Корневая папка домена успешно обновлена.',
      ],
      'change-version' => [
        'success' => 'Версия Node.js была успешно обновлена.',
      ],
      'disable' => [
        'success' => 'Node.js был отключен на %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js был включен на %%domain%%.',
      ],
      'environment' => [
        'failed' => 'Представление json персональной переменной среды \'%%var%%\' не должно превышать 255 символов.',
        'success' => 'Персональные переменные среды были обновлены.',
        'title' => 'Изменить персональные переменные среды',
      ],
      'index' => [
        'applicationMode' => 'Режим приложения',
        'applicationModePopupDescription' => 'Выбрать режим приложения Node.js:',
        'applicationModePopupTitle' => 'Режим приложения',
        'applicationPath' => 'Корневая папка приложения',
        'applicationPathOpen' => 'открыть',
        'applicationPathPopupDescription' => 'Выбрать корневую папку приложения Node.js:',
        'applicationPathPopupTitle' => 'Корневая папка приложения',
        'applicationStartupFile' => 'Файл запуска приложения',
        'applicationStartupFileEdit' => 'изменить',
        'applicationStartupFileNotExist' => 'Такого файла не существует',
        'applicationStartupFilePopupDescription' => 'Изменить файл запуска приложения Node.js:',
        'applicationStartupFilePopupTitle' => 'Файл запуска приложения',
        'applicationUrl' => 'Адрес приложения',
        'configurationFilesDescription' => 'Нажмите имя файла, чтобы открыть его для редактирования:',
        'configurationFilesTitle' => 'Доступ к конфигурационным файлам',
        'disableButton' => 'Отключить Node.js',
        'disableButtonDescription' => 'Отключить Node.js на этом домене.',
        'documentRoot' => 'Корневая папка домена',
        'documentRootNotInApplicationRootWarning' => 'Приложение не будет работать, потому что корневая папка домена не расположена внутри корневой папки приложения',
        'documentRootPopupDescription' => 'Выберите корневую папку сайта:',
        'documentRootPopupTitle' => 'Корневая папка домена',
        'enableButton' => 'Включить Node.js',
        'enableButtonDescription' => 'Включить Node.js на этом домене.',
        'environment' => 'Персональные переменные среды',
        'environmentEdit' => 'укажите',
        'noStartupFileHint' => 'Node.js включен на этом домене. Но файл запуска %%file%% не найден.',
        'npmInstallButton' => 'Установка NPM',
        'npmInstallButtonDescription' => 'Устанавливает пакеты, перечисленные в файле \'package.json\'.',
        'pleaseWait' => 'Пожалуйста, подождите...',
        'restartButton' => 'Перезапустить приложение',
        'restartButtonDescription' => 'Перезапустить ваше приложение Node.js.',
        'rootDirectoryTitle' => 'Корневая папка',
        'runScriptButton' => 'Запустить скрипт',
        'runScriptButtonDescription' => 'Запустить команду, указанную в разделе \'Scripts\' файла \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js на %%name%%',
        'version' => 'Версия Node.js',
        'versionPopupDescription' => 'Выбрать версию Node.js для этого приложения:',
        'versionPopupTitle' => 'Версия Node.js этого приложения',
      ],
      'npm-install' => [
        'success' => 'Модули Node успешно установлены.',
      ],
      'restart' => [
        'success' => 'Затронут файл restart.txt. Приложение будет перезапущено по первому запросу.',
      ],
      'run-script' => [
        'title' => 'Запустить скрипт NPM',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Node.js Manager',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Управление состоянием Node.js',
    'stateManagementDescription' => 'Разрешить клиентам изменять состояние Node.js',
    'supportManagement' => 'Управление поддержкой Node.js',
    'supportManagementDescription' => 'Разрешить клиентам использовать Node.js',
    'versionManagement' => 'Управление версией Node.js',
    'versionManagementDescription' => 'Разрешить клиентам изменять версию Node.js',
  ],
];