<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Hantera Node.js för denna webbplats.',
      'enabled' => 'Node.js-version: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'läge: %%mode%%',
      'restartButton' => 'Starta om appen',
      'version' => 'Node.js-version: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Node.js-versionen "%%version%%" har inaktiverats.',
      ],
      'disableOnDomain' => [
        'success' => 'Node.js i domänen &quot;%%domain%%&quot; har inaktiverats.',
      ],
      'enable' => [
        'success' => 'Node.js-versionen "%%version%%" har aktiverats.',
      ],
      'enableOnDomain' => [
        'success' => 'Node.js i domänen &quot;%%domain%%&quot; har aktiverats.',
      ],
      'setVersion' => [
        'success' => 'Node.js-version i domänen &quot;%%domain%%&quot; har ändrats till &quot;%%version%%&quot;.',
      ],
      'versions' => [
        'empty' => 'Inga versioner av Node.js hittas.',
        'enabled' => 'Aktiverad',
        'path' => 'Sökväg',
        'version' => 'Version',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Det gick inte att hitta kommandot "%%command%%".',
      'disabledOnDomain' => 'Node.js-supporten inaktiveras på domänen.',
      'domainDoesNotHaveHosting' => 'Domänen "%%domain%%" har ingen fysisk värddator.',
      'handlerNotFound' => 'Node.js-versionen "%%version%%" hittades inte.',
      'noHandlerOnDomain' => 'Minst en Node.js-version ska aktiveras för domänen.',
      'permissionDenied' => 'Åtkomst nekad',
      'versionIsEmpty' => 'Versionen är tom.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'Inaktivera Node.js-versionen eller inaktivera Node.js-support på domänen.',
      'enable' => 'Aktivera Node.js-versionen eller aktivera Node.js-support på en domän.',
      'get-version' => 'Visa Node.js-versionen på en domän.',
      'set-version' => 'Ställ in Node.js-versionen på en domän.',
      'versions' => 'Visa listan över Node.js-versioner.',
    ],
    'options' => [
      'domain' => 'Domännamn (använd med kommandona &quot;enable&quot;, &quot;disable&quot; och &quot;get-version&quot;).',
      'version' => 'Node.js-version (använd med kommandona &quot;enable&quot;, &quot;disable&quot; och &quot;set-version&quot;).',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Avbryt',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Lägg till variabel',
        'removeButton' => 'Ta bort',
        'variableName' => 'Variabel',
        'variables' => 'Anpassade miljövariabler',
        'variableValue' => 'Värde',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Domäner',
        'path' => 'Sökväg',
        'refreshButton' => 'Uppdatera',
        'refreshButtonDescription' => 'Uppdatera listan över Node.js-försäljare',
        'version' => 'Version',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Scriptnamn och parametrar',
      'optionsDescription' => 'Exempel: %%examples%%',
      'output' => 'Utdata',
      'pleaseWait' => 'Var god vänta',
      'run' => 'Kör',
      'title' => 'Kör skript',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Installation av applikationsberoenden.',
        'title' => 'NPM installerat',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Applikationsläget ”%%value%%” är ogiltigt.',
        'success' => 'Applikationens läge uppdaterades korrekt.',
      ],
      'change-application-path' => [
        'failed' => 'Sökvägen %%path%% är ogiltig.',
        'success' => 'Programmets sökväg uppdaterades korrekt.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Filnamnet %%file%% är ogiltigt.',
        'success' => 'Programmets startfil har uppdaterats korrekt.',
      ],
      'change-document-root' => [
        'failed' => 'Kan inte ändra dokumentets rot: %%cause%%',
        'success' => 'Dokumentets rot har uppdaterats korrekt.',
      ],
      'change-version' => [
        'success' => 'Node.js-versionen uppdaterades korrekt.',
      ],
      'disable' => [
        'success' => 'Node.js inaktiverades på %%domain%%.',
      ],
      'enable' => [
        'success' => 'Node.js aktiverades på %%domain%%.',
      ],
      'environment' => [
        'failed' => 'Json-representationen för den personliga miljövariabeln \'%%var%%\' får inte överstiga 255 tecken.',
        'success' => 'Anpassade miljövariabler uppdaterades.',
        'title' => 'Redigera anpassade miljövariabler',
      ],
      'index' => [
        'applicationMode' => 'Programläge',
        'applicationModePopupDescription' => 'Välj läget för Node.js-applikationen:',
        'applicationModePopupTitle' => 'Programläge',
        'applicationPath' => 'Applikationens rot',
        'applicationPathOpen' => 'öppen',
        'applicationPathPopupDescription' => 'Ställ in roten för Node.js-applikationen',
        'applicationPathPopupTitle' => 'Applikationens rot',
        'applicationStartupFile' => 'Programmets startfil',
        'applicationStartupFileEdit' => 'redigera',
        'applicationStartupFileNotExist' => 'Filen finns inte',
        'applicationStartupFilePopupDescription' => 'Ändra startfilen för Node.js-applikationen:',
        'applicationStartupFilePopupTitle' => 'Programmets startfil',
        'applicationUrl' => 'Programmets URL',
        'configurationFilesDescription' => 'Klcka på ett filnamn för att redigera det:',
        'configurationFilesTitle' => 'Tillgång till konfigurationsfiler',
        'disableButton' => 'Inaktivera Node.js',
        'disableButtonDescription' => 'Inaktivera Node.js för denna domän.',
        'documentRoot' => 'Dokumentrot',
        'documentRootNotInApplicationRootWarning' => 'Applikationen fungerar inte eftersom dokumentets rot inte är sekundär till applikationens rot.',
        'documentRootPopupDescription' => 'Välj rotkatalog för webbplatsen:',
        'documentRootPopupTitle' => 'Dokumentrot',
        'enableButton' => 'Aktivera Node.js',
        'enableButtonDescription' => 'Aktivera Node.js för denna domän.',
        'environment' => 'Anpassade miljövariabler',
        'environmentEdit' => 'ange',
        'noStartupFileHint' => 'Node.js är aktiverad i denna domän. Men startfilen %%file%% hittas inte.',
        'npmInstallButton' => 'NPM installerat',
        'npmInstallButtonDescription' => 'Installera paketet(-n) som är listade i filen \'package.json\'.',
        'pleaseWait' => 'Var god vänta...',
        'restartButton' => 'Starta om appen',
        'restartButtonDescription' => 'Starta om ditt Node.js-program.',
        'rootDirectoryTitle' => 'Rotkatalog',
        'runScriptButton' => 'Kör skript',
        'runScriptButtonDescription' => 'Kör ett kommando som specificeras i sektionen \'Scripts\' filen \'package.json\'.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js i %%name%%',
        'version' => 'Node.js-version',
        'versionPopupDescription' => 'Välj version av Node.js för detta program:',
        'versionPopupTitle' => 'Node.js-version av detta program',
      ],
      'npm-install' => [
        'success' => 'Nodens moduler har installerats korrekt.',
      ],
      'restart' => [
        'success' => 'Filen restart.txt vidrördes. Applikationen kommer att starta om efter den första förfrågningen.',
      ],
      'run-script' => [
        'title' => 'Kör NPM-skriptet',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Node.js Manager',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Node.js statusförvaltning',
    'stateManagementDescription' => 'Låt kunderna ändra Node.js-statusen',
    'supportManagement' => 'Node.js supporthantering',
    'supportManagementDescription' => 'Låt kunderna använda Node.js.',
    'versionManagement' => 'Node.js-versionens förvaltning',
    'versionManagementDescription' => 'Låt kunderna ändra Node.js-versionen',
  ],
];