<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => 'Pamahalaan ang Node.js para sa website na ito.',
      'enabled' => 'Bersyon ng Node.js: %%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => 'mode: %%mode%%',
      'restartButton' => 'I-restart ang App',
      'version' => 'Bersyon ng Node.js: %%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => 'Na-disable ang bersyon "%%version%%" ng Node.js.',
      ],
      'disableOnDomain' => [
        'success' => 'Na-disable ang Node.js sa domain na "%%domain%%".',
      ],
      'enable' => [
        'success' => 'Na-enable ang bersyon "%%version%%" ng Node.js.',
      ],
      'enableOnDomain' => [
        'success' => 'Na-enable ang Node.js sa domain na "%%domain%%".',
      ],
      'setVersion' => [
        'success' => 'Napalitan na ng "%%version%%" ang bersyon ng Node.js sa domain na "%%domain%%".',
      ],
      'versions' => [
        'empty' => 'Walang nakitang mga bersyon ng Node.js.',
        'enabled' => 'Naka-enable',
        'path' => 'Path',
        'version' => 'Bersyon',
      ],
    ],
    'common' => [
      'commandNotFound' => 'Hindi nakita ang command na "%%command%%".',
      'disabledOnDomain' => 'Na-disable sa domain ang suporta sa Node.js.',
      'domainDoesNotHaveHosting' => 'Walang aktwal na pagho-host ang domain na "%%domain%%".',
      'handlerNotFound' => 'Hindi nakita ang bersyon "%%version%%" ng Node.js.',
      'noHandlerOnDomain' => 'Dapat na ma-enable sa domain ang kahit isang bersyon ng Node.js.',
      'permissionDenied' => 'Hindi ka binigyan ng pahintulot',
      'versionIsEmpty' => 'Walang laman ang bersyon.',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => 'I-disable ang bersyon ng Node.js o i-disable ang suporta sa Node.js sa isang domain.',
      'enable' => 'I-enable ang bersyon ng Node.js o i-enable ang suporta sa Node.js sa isang domain.',
      'get-version' => 'Ipakita ang bersyon ng Node.js sa isang domain.',
      'set-version' => 'I-set ang bersyon ng Node.js sa isang domain.',
      'versions' => 'Ipakita ang listahan ng mga bersyon ng Node.js.',
    ],
    'options' => [
      'domain' => 'Domain name (gamitin kasama ng command na "enable", "disable", at "get-version").',
      'version' => 'Bersyon ng Node.js (gamitin kasama ng command na "enable", "disable", at "set-version").',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => 'Kanselahin',
      'ok' => 'OK',
    ],
    'forms' => [
      'environment' => [
        'addButton' => 'Magdagdag ng variable',
        'removeButton' => 'Tanggalin',
        'variableName' => 'Variable',
        'variables' => 'Mga custom na environment variable',
        'variableValue' => 'Value',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => 'Mga domain',
        'path' => 'Path',
        'refreshButton' => 'I-refresh',
        'refreshButtonDescription' => 'I-refresh ang listahan ng mga Node.js handler',
        'version' => 'Bersyon',
      ],
    ],
    'run-script-popup' => [
      'options' => 'Pangalan ng script at mga parameter',
      'optionsDescription' => 'Mga halimbawa:%%examples%%',
      'output' => 'Output',
      'pleaseWait' => 'Mangyaring maghintay',
      'run' => 'Paganahin',
      'title' => 'Paganahin ang script',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => 'Ini-install ang mga dependency ng application.',
        'title' => 'Pag-install ng NPM',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => 'Hindi wasto ang application mode na "%%value%%".',
        'success' => 'Matagumpay na na-update ang application mode.',
      ],
      'change-application-path' => [
        'failed' => 'Hindi wasto ang path na %%path%%.',
        'success' => 'Matagumpay na na-update ang path ng application.',
      ],
      'change-application-startup-file' => [
        'failed' => 'Hindi wasto ang pangalan ng file na %%file%%.',
        'success' => 'Matagumpay na na-update ang startup file ng application.',
      ],
      'change-document-root' => [
        'failed' => 'Hindi nabago ang root ng dokumento: %%cause%%',
        'success' => 'Matagumpay na na-update ang root ng dokumento.',
      ],
      'change-version' => [
        'success' => 'Matagumpay nang na-update ang bersyon ng Node.js.',
      ],
      'disable' => [
        'success' => 'Na-disable na ang Node.js sa %%domain%%.',
      ],
      'enable' => [
        'success' => 'Na-enable ang Node.js sa %%domain%%.',
      ],
      'environment' => [
        'failed' => 'Hindi dapat lumampas sa 255 character ang json-representation ng personal na variable ng environment na \'%%var%%\'.',
        'success' => 'Na-update ang mga custom na environment variable.',
        'title' => 'I-edit ang mga custom na environment variable',
      ],
      'index' => [
        'applicationMode' => 'Application Mode',
        'applicationModePopupDescription' => 'Piliin ang mode ng Node.js application:',
        'applicationModePopupTitle' => 'Application Mode',
        'applicationPath' => 'Application Root',
        'applicationPathOpen' => 'buksan',
        'applicationPathPopupDescription' => 'Piliin ang root ng Node.js application:',
        'applicationPathPopupTitle' => 'Application Root',
        'applicationStartupFile' => 'Startup File ng Application',
        'applicationStartupFileEdit' => 'i-edit',
        'applicationStartupFileNotExist' => 'Walang ganitong file',
        'applicationStartupFilePopupDescription' => 'Baguhin ang startup file ng Node.js application:',
        'applicationStartupFilePopupTitle' => 'Startup File ng Application',
        'applicationUrl' => 'URL ng Application',
        'configurationFilesDescription' => 'Mag-click ng pangalan ng file na ie-edit:',
        'configurationFilesTitle' => 'Access sa Mga Configuration File',
        'disableButton' => 'I-disable ang Node.js',
        'disableButtonDescription' => 'I-disable ang Node.js sa domain na ito.',
        'documentRoot' => 'Root ng Dokumento',
        'documentRootNotInApplicationRootWarning' => 'Hindi gagana ang application dahil ang root ng dokumento ay hindi isang subchild ng root ng application',
        'documentRootPopupDescription' => 'Piliin ang root na directory ng website:',
        'documentRootPopupTitle' => 'Root ng Dokumento',
        'enableButton' => 'I-enable ang Node.js',
        'enableButtonDescription' => 'I-enable ang Node.js sa domain na ito.',
        'environment' => 'Mga custom na environment variable',
        'environmentEdit' => 'itakda',
        'noStartupFileHint' => 'Naka-enable ang Node.js sa domain na ito. Pero hindi nakita ang startup file na %%file%%.',
        'npmInstallButton' => 'Pag-install ng NPM',
        'npmInstallButtonDescription' => 'I-install ang (mga) package na nakalista sa &apos;package.json&apos; file.',
        'pleaseWait' => 'Mangyaring maghintay...',
        'restartButton' => 'I-restart ang App',
        'restartButtonDescription' => 'I-restart ang iyong Node.js application.',
        'rootDirectoryTitle' => 'Root directory',
        'runScriptButton' => 'Paganahin ang script',
        'runScriptButtonDescription' => 'Paganahin ang isang command na itinakda sa seksyong &apos;Scripts&apos; ng &apos;package.json&apos; file.',
        'title' => 'Node.js',
        'titleForObject' => 'Node.js sa %%name%%',
        'version' => 'Bersyon ng Node.js',
        'versionPopupDescription' => 'Piliin ang bersyon ng Node.js para sa application na ito:',
        'versionPopupTitle' => 'Bersyon ng Node.js ng Application na ito',
      ],
      'npm-install' => [
        'success' => 'Matagumpay na na-install ang mga node module.',
      ],
      'restart' => [
        'success' => 'Na-touch na ang restart.txt file. Mare-restart ang application pagkatapos ng unang kahilingan.',
      ],
      'run-script' => [
        'title' => 'Magpatakbo ng NPM script',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Manager ng Node.js',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Pamamahala ng status ng Node.js',
    'stateManagementDescription' => 'Payagan ang mga customer na baguhin ang status ng Node.js',
    'supportManagement' => 'Pamamahala sa suporta sa Node.js',
    'supportManagementDescription' => 'Payagan ang mga customer na gamitin ang Node.js',
    'versionManagement' => 'Pamamahala ng bersyon ng Node.js',
    'versionManagementDescription' => 'Payagan ang mga customer na baguhin ang bersyon ng Node.js',
  ],
];