<?php
// Copyright 1999-2018. Plesk International GmbH.
$messages = [
  'activeList' => [
    'button' => [
      'description' => '管理该网站的 Node.js。',
      'enabled' => 'Node.js 版本：%%version%%',
      'title' => 'Node.js',
    ],
    'service' => [
      'mode' => '模式：%%mode%%',
      'restartButton' => '重启应用',
      'version' => 'Node.js 版本：%%version%%',
    ],
  ],
  'api' => [
    'cli' => [
      'disable' => [
        'success' => '已禁用 Node.js 版本 "%%version%%"。',
      ],
      'disableOnDomain' => [
        'success' => '域名 "%%domain%%" 上的 Node.js 已被禁用。',
      ],
      'enable' => [
        'success' => '已启用 Node.js 版本 "%%version%%"。',
      ],
      'enableOnDomain' => [
        'success' => '域名 "%%domain%%" 上的 Node.js 已被启用。',
      ],
      'setVersion' => [
        'success' => '域名 "%%domain%%" 上的 Node.js 版本已被更改为 "%%version%%"。',
      ],
      'versions' => [
        'empty' => '未找到 Node.js 版本。',
        'enabled' => '启用',
        'path' => '路径',
        'version' => '版本',
      ],
    ],
    'common' => [
      'commandNotFound' => '未找到命令 "%%command%%"。',
      'disabledOnDomain' => '已在域名上禁用 Node.js 支持。',
      'domainDoesNotHaveHosting' => '域名 "%%domain%%" 没有物理主机。',
      'handlerNotFound' => '未找到 Node.js 版本 "%%version%%"。',
      'noHandlerOnDomain' => '应至少为域名启用一个 Node.js 版本。',
      'permissionDenied' => '拒绝访问',
      'versionIsEmpty' => '版本为空。',
    ],
  ],
  'cli' => [
    'commands' => [
      'disable' => '禁用 Node.js 版本或禁用域名上的 Node.js 支持。',
      'enable' => '启用 Node.js 版本或启用域名上的 Node.js 支持。',
      'get-version' => '在域名上显示 Node.js 版本。',
      'set-version' => '在域名上设置 Node.js 版本。',
      'versions' => '显示一系列 Node.js 版本。',
    ],
    'options' => [
      'domain' => '域名（一同使用 "enable"、"disable" 和 "get-version" 命令）。',
      'version' => 'Node.js 版本（一同使用 "enable"、"disable" 和 "set-version" 命令）。',
    ],
  ],
  'components' => [
    'buttons' => [
      'cancel' => '取消',
      'ok' => '确定',
    ],
    'forms' => [
      'environment' => [
        'addButton' => '添加变量',
        'removeButton' => '移除',
        'variableName' => '变量',
        'variables' => '自定义的环境变量',
        'variableValue' => '值',
      ],
    ],
    'lists' => [
      'handlers' => [
        'domains' => '域名',
        'path' => '路径',
        'refreshButton' => '刷新',
        'refreshButtonDescription' => '刷新 Node.js 处理程序列表',
        'version' => '版本',
      ],
    ],
    'run-script-popup' => [
      'options' => '脚本名称和参数',
      'optionsDescription' => '示例：%%examples%%',
      'output' => '输出',
      'pleaseWait' => '请稍候',
      'run' => '运行',
      'title' => '运行脚本',
    ],
    'tasks' => [
      'npm-install' => [
        'step-install-title' => '安装应用程序依赖。',
        'title' => 'NPM install',
      ],
    ],
  ],
  'controllers' => [
    'domain' => [
      'change-application-mode' => [
        'failed' => '该应用程序模式 "%%value%%" 无效。',
        'success' => '已成功更新应用程序模式。',
      ],
      'change-application-path' => [
        'failed' => '该路径 %%path%% 无效。',
        'success' => '已成功更新应用程序路径。',
      ],
      'change-application-startup-file' => [
        'failed' => '该文件名称 %%file%% 无效。',
        'success' => '已成功更新应用程序启动文件。',
      ],
      'change-document-root' => [
        'failed' => '无法更改文档根目录：%%cause%%',
        'success' => '已成功更新文档根目录。',
      ],
      'change-version' => [
        'success' => '已成功更新 Node.js 版本。',
      ],
      'disable' => [
        'success' => '已在 %%domain%% 上禁用 Node.js。',
      ],
      'enable' => [
        'success' => '已在 %%domain%% 上启用 Node.js。',
      ],
      'environment' => [
        'failed' => '个人环境变量\'%%var%%\' 的 json 表示不应超过255个字符。',
        'success' => '已更新自定义的环境变量。',
        'title' => '编辑自定义的环境变量',
      ],
      'index' => [
        'applicationMode' => '应用程序模式',
        'applicationModePopupDescription' => '选择 Node.js 应用程序的模式：',
        'applicationModePopupTitle' => '应用程序模式',
        'applicationPath' => '应用程序的根目录',
        'applicationPathOpen' => '打开',
        'applicationPathPopupDescription' => '选择 Node.js 应用程序的根目录：',
        'applicationPathPopupTitle' => '应用程序的根目录',
        'applicationStartupFile' => '应用程序启动文件',
        'applicationStartupFileEdit' => '编辑',
        'applicationStartupFileNotExist' => '该文件不存在。',
        'applicationStartupFilePopupDescription' => '更改 Node.js 应用程序的启动文件：',
        'applicationStartupFilePopupTitle' => '应用程序启动文件',
        'applicationUrl' => '应用程序 URL',
        'configurationFilesDescription' => '点击一个文件名以编辑：',
        'configurationFilesTitle' => '配置文件的访问',
        'disableButton' => '禁用 Node.js',
        'disableButtonDescription' => '禁用该域名上的 Node.js。',
        'documentRoot' => '文档根目录',
        'documentRootNotInApplicationRootWarning' => '应用程序将不会运行因为文档根目录不是应用程序根目录的一个子目录。',
        'documentRootPopupDescription' => '选择网站的根目录：',
        'documentRootPopupTitle' => '文档根目录',
        'enableButton' => '启用 Node.js',
        'enableButtonDescription' => '启用该域名上的 Node.js。',
        'environment' => '自定义的环境变量',
        'environmentEdit' => '指定',
        'noStartupFileHint' => '在该域名上启用了 Node.js。但是未找到启动文件 %%file%%。',
        'npmInstallButton' => 'NPM install',
        'npmInstallButtonDescription' => '安装在 \'package.json\' 文件中列出的程序包。',
        'pleaseWait' => '请稍候...',
        'restartButton' => '重启应用',
        'restartButtonDescription' => '重启您的 Node.js 应用程序。',
        'rootDirectoryTitle' => '根目录',
        'runScriptButton' => '运行脚本',
        'runScriptButtonDescription' => '运行在 \'package.json\' 文件的 \'Scripts\' 部分中指定的命令。',
        'title' => 'Node.js',
        'titleForObject' => '%%name%% 上的 Node.js',
        'version' => 'Node.js 版本',
        'versionPopupDescription' => '为该应用程序选择 Node.js 版本：',
        'versionPopupTitle' => '该应用程序的 Node.js 版本',
      ],
      'npm-install' => [
        'success' => '已成功安装节点模块。',
      ],
      'restart' => [
        'success' => '已通过 touch 命令更改 restart.txt 文件。 第一次请求后将会重启应用程序。',
      ],
      'run-script' => [
        'title' => '运行 NPM 脚本',
      ],
    ],
    'index' => [
      'list' => [
        'title' => 'Node.js Manager',
      ],
    ],
  ],
  'permissions' => [
    'stateManagement' => 'Node.js 状态管理',
    'stateManagementDescription' => '允许客户更改 Node.js 状态',
    'supportManagement' => 'Node.js 支持管理',
    'supportManagementDescription' => '允许客户使用 Node.js',
    'versionManagement' => 'Node.js 版本管理',
    'versionManagementDescription' => '允许客户更改 Node.js 版本',
  ],
];